<?php
/**
 * @package Prayer Pro
 * Setup the WordPress core custom functions feature.
 *
*/

add_action('prayer_pro_optionsframework_custom_scripts', 'prayer_pro_optionsframework_custom_scripts');
function prayer_pro_optionsframework_custom_scripts() { ?>
	<script type="text/javascript">
    jQuery(document).ready(function() {
    
        jQuery('#example_showhidden').click(function() {
            jQuery('#section-example_text_hidden').fadeToggle(400);
        });
        
        if (jQuery('#example_showhidden:checked').val() !== undefined) {
            jQuery('#section-example_text_hidden').show();
        }
        
    });
    </script><?php
}

// get_the_content format text
function get_the_content_format( $str ){
	$raw_content = apply_filters( 'the_content', $str );
	$content = str_replace( ']]>', ']]&gt;', $raw_content );
	return $content;
}
// the_content format text
function the_content_format( $str ){
	echo get_the_content_format( $str );
}

function is_google_font( $font ){
	$notGoogleFont = array( 'Arial', 'Comic Sans MS', 'FreeSans', 'Georgia', 'Lucida Sans Unicode', 'Palatino Linotype', 'Symbol', 'Tahoma', 'Trebuchet MS', 'Verdana' );
	if( in_array($font, $notGoogleFont) ){
		return false;
	}else{
		return true;
	}
}

// subhead section function
function sub_head_section( $more ) {
	$pgs = 0;
	do {
		$pgs++;
	} while ($more > $pgs);
	return $pgs;
}

//[clear]
function clear_func() {
	$clr = '<div class="clear"></div>';
	return $clr;
}
add_shortcode( 'clear', 'clear_func' );


//[column_content]Your content here...[/column_content]
function column_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'type' => '',	
	), $atts ) );
	$colPos = strpos($type, '_last');
	if($colPos === false){
		$cnt = '<div class="'.$type.'">'.do_shortcode($content).'</div>';
	}else{
		$type = substr($type,0,$colPos);
		$cnt = '<div class="'.$type.' last_column">'.do_shortcode($content).'</div>';
	}
	return $cnt;
}
add_shortcode( 'column_content', 'column_content_func' );


//[hr]
function hrule_func() {
	$hrule = '<div class="hr"></div>';
	return $hrule;
}
add_shortcode( 'hr', 'hrule_func' );

//[hr_top]
function back_to_top_func() {
	$back_top = '<div id="back-top">
		<a title="Top of Page" href="#top"><span></span></a>
	</div>';
	return $back_top;
}
add_shortcode( 'back-to-top', 'back_to_top_func' );


// [searchform]
function searchform_shortcode_func( $atts ){
	return get_search_form( false );
}
add_shortcode( 'searchform', 'searchform_shortcode_func' );

// accordion
function accordion_func( $atts, $content = null ) {
	$acc = '<div style="margin-top:10px;">'.get_the_content_format( do_shortcode($content) ).'<div class="clear"></div></div>';
	return $acc;
}
add_shortcode( 'accordion', 'accordion_func' );
function accordion_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Accordion Title',
	), $atts ) );
	$content = wpautop(trim($content));
	$acn = '<div class="accordion-box"><h2>'.$title.'</h2>
			<div class="acc-content">'.$content.'</div><div class="clear"></div></div>';
	return $acn;
}
add_shortcode( 'accordion_content', 'accordion_content_func' );


// remove excerpt more
function new_excerpt_more( $more ) {
	return '... ';
}
add_filter('excerpt_more', 'new_excerpt_more');

// get post categories function
function getPostCategories(){
	$categories = get_the_category();
	$catOut = '';
	$separator = ', ';
	$catOutput = '';
	if($categories){
		foreach($categories as $category) {
			$catOutput .= '<a href="'.get_category_link( $category->term_id ).'" title="' . esc_attr( sprintf( __( "View all posts in %s", 'prayer-pro' ), $category->name ) ) . '">'.$category->cat_name.'</a>'.$separator;
		}
		$catOut = ''.trim($catOutput, $separator);
	}
	return $catOut;
}

// replace last occurance of a string.
function str_lreplace($search, $replace, $subject){
	$pos = strrpos($subject, $search);
	if($pos !== false){
		$subject = substr_replace($subject, $replace, $pos, strlen($search));
	}
	return $subject;
}

// custom post type for Testimonials
function my_custom_post_testimonials() {
	$labels = array(
		'name'               => __( 'Testimonial','prayer-pro'),
		'singular_name'      => __( 'Testimonial','prayer-pro'),
		'add_new'            => __( 'Add Testimonial','prayer-pro'),
		'add_new_item'       => __( 'Add New Testimonial','prayer-pro'),
		'edit_item'          => __( 'Edit Testimonial','prayer-pro'),
		'new_item'           => __( 'New Testimonial','prayer-pro'),
		'all_items'          => __( 'All Testimonials','prayer-pro'),
		'view_item'          => __( 'View Testimonial','prayer-pro'),
		'search_items'       => __( 'Search Testimonials','prayer-pro'),
		'not_found'          => __( 'No testimonials found','prayer-pro'),
		'not_found_in_trash' => __( 'No testimonials found in the Trash','prayer-pro'), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Testimonials'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Testimonials',
		'public'        => true,
		'menu_icon'		=> 'dashicons-format-quote',
		'menu_position' => null,
		'supports'      => array( 'title', 'editor', 'thumbnail'),
		'has_archive'   => true,
	);
	register_post_type( 'testimonials', $args );	
}
add_action( 'init', 'my_custom_post_testimonials' );

// add meta box to testimonials
add_action( 'admin_init', 'my_testimonials_admin_function' );
function my_testimonials_admin_function() {
    add_meta_box( 'testimonials_meta_box',
        'Testimonials Info',
        'display_testimonials_meta_box',
        'testimonials', 'normal', 'high'
    );
}
// add meta box form to testimonials
function display_testimonials_meta_box( $testimonials ) {
    // Retrieve current name of the Director and Movie Rating based on review ID
    $designation = esc_html( get_post_meta( $testimonials->ID, 'designation', true ) );   
    ?>
    <table width="100%">
        <tr>
            <td width="20%">client info (designation) </td>
            <td width="80%"><input type="text" name="designation" value="<?php echo $designation; ?>" /></td>
        </tr>      
    </table>
    <?php      
}
// save testimonials meta box form data
add_action( 'save_post', 'add_testimonials_fields_function', 10, 2 );
function add_testimonials_fields_function( $testimonials_id, $testimonials ) {
    // Check post type for testimonials
    if ( $testimonials->post_type == 'testimonials' ) {
        // Store data in post meta table if present in post data
        if ( isset($_POST['designation']) ) {
            update_post_meta( $testimonials_id, 'designation', $_POST['designation'] );
        }        
    }
}


//Testimonials function
function testimonials_output_func( $atts ){
	extract( shortcode_atts( array( 
	'show' => '',
	),
	$atts ) ); 		
	wp_reset_query();
 	query_posts('post_type=testimonials&posts_per_page='.$show);
	if ( have_posts() ) :
	 $testimonialoutput = '<div id="clienttestiminials"><div class="owl-carousel">';	
		while ( have_posts() ) : the_post();
		if ( has_post_thumbnail()) {
				$large_imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');
				$imgUrl = $large_imgSrc[0];
		}else{
				$imgUrl = get_template_directory_uri().'/images/img_404.png';
		}	
		$designation = esc_html( get_post_meta( get_the_ID(), 'designation', true ) );		   
			$testimonialoutput .= '
				 <div class="item">
				 <div class="arrow_box">
				    <i class="fas fa-quote-left"></i>
					<p>'.wp_trim_words( get_the_content(), of_get_option('testimonialsexcerptlength'), '' ).'</p>				
					</div><div class="clear"></div>
					<div class="tmthumb"><img src="'.$imgUrl.'" alt=" " /></div>					
					<div class="leftttl">
					 <h6>'.get_the_title().'<span>- '.$designation.'</span></h6>						 
					 </div>
					 
				</div>';
		endwhile;
		 $testimonialoutput .= '</div></div>';
	else:
	  $testimonialoutput = 'client testimonials is empty';			
	  endif;  
	wp_reset_query();	
	return $testimonialoutput;
}
add_shortcode( 'testimonials', 'testimonials_output_func' );



//Testimonials function
function testimonials_listing_output_func( $atts ){
	extract( shortcode_atts( array( 
	'show' => '',
	),
	$atts ) ); 		
	wp_reset_query();
 	query_posts('post_type=testimonials&posts_per_page='.$show);
	if ( have_posts() ) :
	 $testimonialoutput = '<div id="Tmnllist">';	
		while ( have_posts() ) : the_post();
		if ( has_post_thumbnail()) {
				$large_imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
				$imgUrl = $large_imgSrc[0];
			}else{
				$imgUrl = get_template_directory_uri().'/images/img_404.png';
			}	
		$designation = esc_html( get_post_meta( get_the_ID(), 'designation', true ) );		   
			$testimonialoutput .= '
			    <div class="tmnllisting">
			 	<div class="tmnlthumb"><a href="'.get_permalink().'"><img src="'.$imgUrl.'" alt=" " /></a></div>
				 <h6><a href="'.get_permalink().'">'.get_the_title().'</a></h6>	
				 <span>'.$designation.'</span>
				 <p>'.wp_trim_words( get_the_content(), of_get_option('testimonialsexcerptlength'), '' ).'</p>				
				</div>	';
		endwhile;
		 $testimonialoutput .= '</div>';
	else:
	  $testimonialoutput = '<div id="Tmnllist"> 
           
              <div class="tmnllisting">
                <div class="tmnlthumb"><a href="#"><img src="'.get_template_directory_uri()."/images/team1.jpg".'" alt="" /></a></div>
                   <h6><a href="#">Brandon Doe</a></h6>
				   <span>Ceo & Founder</span>
				   <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec laoreet magna diam, id ullamcorper lacus suscipit vehicula. In porta vehicula lacus, ac viverra ipsum volutpat quis. Aenean dapibus, nisl in efficitur iaculis.</p>
               </div>
			  
                <div class="tmnllisting">
                <div class="tmnlthumb"><a href="#"><img src="'.get_template_directory_uri()."/images/team2.jpg".'" alt="" /></a></div>
                   <h6><a href="#">Brandon Doe</a></h6>
				   <span>Ceo & Founder</span>
				   <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec laoreet magna diam, id ullamcorper lacus suscipit vehicula. In porta vehicula lacus, ac viverra ipsum volutpat quis. Aenean dapibus, nisl in efficitur iaculis.</p>
               </div>
			  
			     <div class="tmnllisting">
                <div class="tmnlthumb"><a href="#"><img src="'.get_template_directory_uri()."/images/team3.jpg".'" alt="" /></a></div>
                   <h6><a href="#">Brandon Doe</a></h6>
				   <span>Ceo & Founder</span>
				   <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec laoreet magna diam, id ullamcorper lacus suscipit vehicula. In porta vehicula lacus, ac viverra ipsum volutpat quis. Aenean dapibus, nisl in efficitur iaculis.</p>
               </div>
			  
			    <div class="tmnllisting">
                <div class="tmnlthumb"><a href="#"><img src="'.get_template_directory_uri()."/images/team4.jpg".'" alt="" /></a></div>
                   <h6><a href="#">Brandon Doe</a></h6>
				   <span>Ceo & Founder</span>
				   <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec laoreet magna diam, id ullamcorper lacus suscipit vehicula. In porta vehicula lacus, ac viverra ipsum volutpat quis. Aenean dapibus, nisl in efficitur iaculis.</p>
               </div>
			               
           
  </div>';			
	  endif;  
	wp_reset_query();	
	return $testimonialoutput;
}
add_shortcode( 'testimonials-listing', 'testimonials_listing_output_func' );


//Testimonials function
function testimonials_rotator_output_func( $atts ){
	extract( shortcode_atts( array( 
	'show' => '',
	),
	$atts ) ); 		
	wp_reset_query();
 	query_posts('post_type=testimonials&posts_per_page='.$show);
	if ( have_posts() ) :
	 $testimonialoutput = '<div id="testimonials"><div class="quotes">';	
		while ( have_posts() ) : the_post();	
		$designation = esc_html( get_post_meta( get_the_ID(), 'designation', true ) );		   
			$testimonialoutput .= '
			  <div> '.content( of_get_option('testimonialsexcerptlength') ).'
				  <h6><a href="'.get_permalink().'">'.get_the_title().'</a></h6>
				  <span>'.$designation.'</span>					
              </div>
			';
		endwhile;
		 $testimonialoutput .= '</div></div>';
	else:
	  $testimonialoutput = '<div id="testimonials"><div class="quotes">
           
               <div>
                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec laoreet magna diam, id ullamcorper lacus suscipit vehicula. In porta vehicula lacus, ac viverra ipsum volutpat quis. Aenean dapibus, nisl in efficitur iaculis.</p>
				   <h6><a href="#">Brandon Doe</a></h6>
				   <span>Ceo & Founder</span>				  
               </div>
			  
                 <div>
                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec laoreet magna diam, id ullamcorper lacus suscipit vehicula. In porta vehicula lacus, ac viverra ipsum volutpat quis. Aenean dapibus, nisl in efficitur iaculis.</p>
				   <h6><a href="#">Brandon Doe</a></h6>
				   <span>Ceo & Founder</span>				  
               </div>
           
  </div></div>';			
	  endif;  
	wp_reset_query();	
	return $testimonialoutput;
}
add_shortcode( 'sidebar-testimonials', 'testimonials_rotator_output_func' );


//custom post type for Our Team
function my_custom_post_team() {
	$labels = array(
		'name'               => __( 'Our Team', 'prayer-pro' ),
		'singular_name'      => __( 'Our Team', 'prayer-pro' ),
		'add_new'            => __( 'Add New', 'prayer-pro' ),
		'add_new_item'       => __( 'Add New Team Member', 'prayer-pro' ),
		'edit_item'          => __( 'Edit Team Member', 'prayer-pro' ),
		'new_item'           => __( 'New Member', 'prayer-pro' ),
		'all_items'          => __( 'All Members', 'prayer-pro' ),
		'view_item'          => __( 'View Members', 'prayer-pro' ),
		'search_items'       => __( 'Search Team Members', 'prayer-pro' ),
		'not_found'          => __( 'No Team members found', 'prayer-pro' ),
		'not_found_in_trash' => __( 'No Team members found in the Trash', 'prayer-pro' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Our Team'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Team',
		'public'        => true,
		'menu_position' => null,
		'menu_icon'		=> 'dashicons-groups',
		'supports'      => array( 'title', 'editor', 'thumbnail' ),
		'rewrite' => array('slug' => 'our-team'),
		'has_archive'   => true,
	);
	register_post_type( 'team', $args );
}
add_action( 'init', 'my_custom_post_team' );

// add meta box to team
add_action( 'admin_init', 'my_team_admin_function' );
function my_team_admin_function() {
    add_meta_box( 'team_meta_box',
        'Member Info',
        'display_team_meta_box',
        'team', 'normal', 'high'
    );
}
// add meta box form to team
function display_team_meta_box( $team ) {
    // Retrieve current name of the Director and Movie Rating based on review ID
    $designation = esc_html( get_post_meta( $team->ID, 'designation', true ) );
    $facebook = get_post_meta( $team->ID, 'facebook', true );
	$facebooklink = esc_url( get_post_meta( $team->ID, 'facebooklink', true ) );
    $twitter = get_post_meta( $team->ID, 'twitter', true );
	$twitterlink = esc_url( get_post_meta( $team->ID, 'twitterlink', true ) );
    $linkedin = get_post_meta( $team->ID, 'linkedin', true );
	$linkedinlink = esc_url( get_post_meta( $team->ID, 'linkedinlink', true ) );
	$pint = get_post_meta( $team->ID, 'google', true );
	$googlelink = esc_url( get_post_meta( $team->ID, 'googlelink', true ) );
    $dribbble = get_post_meta( $team->ID, 'dribbble', true );
	$dribbblelink = get_post_meta( $team->ID, 'dribbblelink', true );
    ?>
    <table width="100%">
        <tr>
            <td width="20%">Designation </td>
            <td width="80%"><input type="text" name="designation" value="<?php echo $designation; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social link 1</td>
            <td width="40%"><input type="text" name="facebook" value="<?php echo $facebook; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="facebooklink" value="<?php echo $facebooklink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 2</td>
            <td width="40%"><input type="text" name="twitter" value="<?php echo $twitter; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="twitterlink" value="<?php echo $twitterlink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 3</td>
            <td width="40%"><input type="text" name="linkedin" value="<?php echo $linkedin; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="linkedinlink" value="<?php echo $linkedinlink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 4</td>
            <td width="40%"><input type="text" name="dribbble" value="<?php echo $dribbble; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="dribbblelink" value="<?php echo $dribbblelink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 5</td>
            <td width="40%"><input type="text" name="google" value="<?php echo $pint; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="googlelink" value="<?php echo $googlelink; ?>" /></td>
        </tr>
        <tr>
        	<td width="100%" colspan="3"><label style="font-size:12px;"><strong>Note:</strong> Icon name should be in lowercase without space. More social icons can be found at: <a href="https://fontawesome.com/icons" target="_blank">https://fontawesome.com/icons</a></label> </td>
        </tr>
    </table>
    <?php                     
}
// save team meta box form data
add_action( 'save_post', 'add_team_fields_function', 10, 2 );
function add_team_fields_function( $team_id, $team ) {
    // Check post type for testimonials
    if ( $team->post_type == 'team' ) {
        // Store data in post meta table if present in post data
        if ( isset($_POST['designation']) ) {
            update_post_meta( $team_id, 'designation', $_POST['designation'] );
        }
        if ( isset($_POST['facebook']) ) {
            update_post_meta( $team_id, 'facebook', $_POST['facebook'] );
        }
		if ( isset($_POST['facebooklink']) ) {
            update_post_meta( $team_id, 'facebooklink', $_POST['facebooklink'] );
        }
        if ( isset($_POST['twitter']) ) {
            update_post_meta( $team_id, 'twitter', $_POST['twitter'] );
        }
		if ( isset($_POST['twitterlink']) ) {
            update_post_meta( $team_id, 'twitterlink', $_POST['twitterlink'] );
        }
        if ( isset($_POST['linkedin']) ) {
            update_post_meta( $team_id, 'linkedin', $_POST['linkedin'] );
        }
		if ( isset($_POST['linkedinlink']) ) {
            update_post_meta( $team_id, 'linkedinlink', $_POST['linkedinlink'] );
        }
        if ( isset($_POST['dribbble']) ) {
            update_post_meta( $team_id, 'dribbble', $_POST['dribbble'] );
        }
		if ( isset($_POST['dribbblelink']) ) {
            update_post_meta( $team_id, 'dribbblelink', $_POST['dribbblelink'] );
        }
		if ( isset($_POST['google']) ) {
            update_post_meta( $team_id, 'google', $_POST['google'] );
        }
		if ( isset($_POST['googlelink']) ) {
            update_post_meta( $team_id, 'googlelink', $_POST['googlelink'] );
        }
    }
}

function our_teamposts_func( $atts ) {
   extract( shortcode_atts( array(
		'show' => '',
	), $atts ) );
	  extract( shortcode_atts( array( 'show' => '',), $atts ) ); 
	$bposts = '<div id="team_members">';
	$args = array( 'post_type' => 'team', 'posts_per_page' => $show, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$posts = query_posts( $args );
	$count = count($posts);	
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			the_post();
			$n++; if( $n%2 == 0 ) $nomargn = ' lastcols'; else $nomargn = '';
			$designation = esc_html( get_post_meta( get_the_ID(), 'designation', true ) );
			$facebook = get_post_meta( get_the_ID(), 'facebook', true );
			$facebooklink = get_post_meta( get_the_ID(), 'facebooklink', true );
			$twitter = get_post_meta( get_the_ID(), 'twitter', true );
			$twitterlink = get_post_meta( get_the_ID(), 'twitterlink', true );
			$linkedin = get_post_meta( get_the_ID(), 'linkedin', true );
			$linkedinlink = get_post_meta( get_the_ID(), 'linkedinlink', true );
			$dribbble = get_post_meta( get_the_ID(), 'dribbble', true );
			$dribbblelink = get_post_meta( get_the_ID(), 'dribbblelink', true );
			$pint = get_post_meta( get_the_ID(), 'google', true );
			$googlelink = get_post_meta( get_the_ID(), 'googlelink', true );				
			
			$bposts .= '<div class="teammember-list'.$nomargn.'">';	
			$bposts .= '<div class="thumnailbx"><a class="hvr-grow" href="'.get_the_permalink().'">'. get_the_post_thumbnail().'</a>';
			$bposts .= '</div>';
			
			$bposts .= '<div class="titledesbox">
				            <span class="title">'.get_the_title().'</span>
							<cite>'.$designation.'</cite>							
							</div>';
			$bposts .= '<div class="member-social-icon">';
								if( $facebook != '' ){
									$bposts .= '<a href="'.$facebooklink.'" target="_blank"><i class="'.$facebook.' fa-lg"></i></a>';
								}
								if( $twitter != '' ){
									$bposts .= '<a href="'.$twitterlink.'" target="_blank"><i class="'.$twitter.' fa-lg"></i></a>';
								}
								if( $linkedin != '' ){
									$bposts .= '<a href="'.$linkedinlink.'" target="_blank"><i class="'.$linkedin.' fa-lg"></i></a>';
								}
								if( $dribbble != '' ){
									$bposts .= '<a href="'.$dribbblelink.'" target="_blank"><i class="'.$dribbble.' fa-lg"></i></a>';
								}
								if( $pint != '' ){
									$bposts .= '<a href="'.$googlelink.'" target="_blank"><i class="'.$pint.' fa-lg"></i></a><div class="clear"></div>';
								}
			$bposts .= '</div>';
			$bposts .= '</div>';
		}
	}else{
		$bposts .= 'There are not found our team members';
	}
	wp_reset_query();
	$bposts .= '</div><div class="clear"></div>';
    return $bposts;
}
add_shortcode( 'our-team', 'our_teamposts_func' );


function our_teamposts_four_column_func( $atts ) {
   extract( shortcode_atts( array(
		'show' => '',
	), $atts ) );
	  extract( shortcode_atts( array( 'show' => '',), $atts ) ); 
	$bposts = '<div id="team_members">';
	$args = array( 'post_type' => 'team', 'posts_per_page' => $show, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$posts = query_posts( $args );
	$count = count($posts);	
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			the_post();
			$n++; if( $n%4 == 0 ) $nomargn = ' lastcols'; else $nomargn = '';
			$designation = esc_html( get_post_meta( get_the_ID(), 'designation', true ) );
			$facebook = get_post_meta( get_the_ID(), 'facebook', true );
			$facebooklink = get_post_meta( get_the_ID(), 'facebooklink', true );
			$twitter = get_post_meta( get_the_ID(), 'twitter', true );
			$twitterlink = get_post_meta( get_the_ID(), 'twitterlink', true );
			$linkedin = get_post_meta( get_the_ID(), 'linkedin', true );
			$linkedinlink = get_post_meta( get_the_ID(), 'linkedinlink', true );
			$dribbble = get_post_meta( get_the_ID(), 'dribbble', true );
			$dribbblelink = get_post_meta( get_the_ID(), 'dribbblelink', true );
			$pint = get_post_meta( get_the_ID(), 'google', true );
			$googlelink = get_post_meta( get_the_ID(), 'googlelink', true );				
			
			$bposts .= '<div class="teammember-list col4'.$nomargn.'">';	
			$bposts .= '<div class="thumnailbx"><a class="hvr-grow" href="'.get_the_permalink().'">'. get_the_post_thumbnail().'</a>';
			$bposts .= '</div>';
			
			$bposts .= '<div class="titledesbox">
				            <span class="title">'.get_the_title().'</span>
							<cite>'.$designation.'</cite>							
							</div>';
			$bposts .= '<div class="member-social-icon">';
								if( $facebook != '' ){
									$bposts .= '<a href="'.$facebooklink.'" title="'.$facebook.'" target="_blank"><i class="'.$facebook.' fa-lg"></i></a>';
								}
								if( $twitter != '' ){
									$bposts .= '<a href="'.$twitterlink.'" title="'.$twitter.'" target="_blank"><i class="'.$twitter.' fa-lg"></i></a>';
								}
								if( $linkedin != '' ){
									$bposts .= '<a href="'.$linkedinlink.'" title="'.$linkedin.'" target="_blank"><i class="'.$linkedin.' fa-lg"></i></a>';
								}
								if( $dribbble != '' ){
									$bposts .= '<a href="'.$dribbblelink.'" title="'.$dribbble.'" target="_blank"><i class="'.$dribbble.' fa-lg"></i></a>';
								}
								if( $pint != '' ){
									$bposts .= '<a href="'.$googlelink.'" title="'.$pint.'" target="_blank"><i class="'.$pint.' fa-lg"></i></a><div class="clear"></div>';
								}
			$bposts .= '</div>';
			$bposts .= '</div>';
		}
	}else{
		$bposts .= 'There are not found our team members';
	}
	wp_reset_query();
	$bposts .= '</div><div class="clear"></div>';
    return $bposts;
}
add_shortcode( 'our-team-4col', 'our_teamposts_four_column_func' );


//custom post type for Events
function my_custom_post_events() {
	$labels = array(
		'name'               => __( 'Events', 'prayer-pro' ),
		'singular_name'      => __( 'Events', 'prayer-pro' ),
		'add_new'            => __( 'Add New', 'prayer-pro' ),
		'add_new_item'       => __( 'Add New Events', 'prayer-pro' ),
		'edit_item'          => __( 'Edit Events', 'prayer-pro' ),
		'new_item'           => __( 'New Events', 'prayer-pro' ),
		'all_items'          => __( 'All Events', 'prayer-pro' ),
		'view_item'          => __( 'View Events', 'prayer-pro' ),
		'search_items'       => __( 'Search Eventss', 'prayer-pro' ),
		'not_found'          => __( 'No Eventss found', 'prayer-pro' ),
		'not_found_in_trash' => __( 'No Eventss found in the Trash', 'prayer-pro' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Programs & Events'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Events',
		'public'        => true,
		'menu_position' => null,
		'menu_icon'	=> 'dashicons-calendar',
		'hierarchical' => false,
    	'rewrite' => array( "slug" => "event" ),
    	'supports'=> array('title', 'editor', 'thumbnail') ,
    	'show_in_nav_menus' => true,
	);
	register_post_type( 'our-events', $args );
}
add_action( 'init', 'my_custom_post_events' );

// add meta box to event
add_action( 'admin_init', 'my_events_admin_function' );
function my_events_admin_function() {
    add_meta_box( 'events_meta_box',
        'Event Info',
        'display_events_meta_box',
        'our-events', 'normal', 'high'
    );
}
// add meta box form to event
function display_events_meta_box( $event ) {
    // Retrieve current name of the Director and Movie Rating based on review ID
    $gt_event_ctdate = esc_html( get_post_meta( $event->ID, 'gt_event_ctdate', true ) ); 
	$gt_event_cttime = esc_html( get_post_meta( $event->ID, 'gt_event_cttime', true ) );   
	$gt_event_vanue = esc_html( get_post_meta( $event->ID, 'gt_event_vanue', true ) ); 	
	$gt_event_readmore = esc_html( get_post_meta( $event->ID, 'gt_event_readmore', true ) );  
	$gt_event_readmore_link = esc_html( get_post_meta( $event->ID, 'gt_event_readmore_link', true ) );          
    ?>
    <table width="100%">
        <tr>
            <td width="20%">Event Date </td>
            <td width="80%"><input type="text" name="gt_event_ctdate" value="<?php echo $gt_event_ctdate; ?>" /></td>
        </tr>
        
        <tr>
            <td width="20%">Event Time </td>
            <td width="80%"><input type="text" name="gt_event_cttime" value="<?php echo $gt_event_cttime; ?>" /></td>
        </tr>
        
        <tr>
            <td width="20%">Event Place </td>
            <td width="80%"><input type="text" name="gt_event_vanue" value="<?php echo $gt_event_vanue; ?>" /></td>
        </tr>
        
         <tr>
            <td width="20%">Read More Button</td>
            <td width="80%"><input type="text" name="gt_event_readmore" value="<?php echo $gt_event_readmore; ?>" /></td>
         </tr>
         
         <tr>
            <td width="20%">Read More button link </td>
            <td width="80%"><input type="text" name="gt_event_readmore_link" value="<?php echo $gt_event_readmore_link; ?>" /></td>
         </tr>
       
    </table>
    <?php                      
}
// save event meta box form data
add_action( 'save_post', 'add_event_fields_function', 10, 2 );
function add_event_fields_function( $event_id, $event ) {
    // Check post type for Events
    if ( $event->post_type == 'our-events' ) {
        // Store data in post meta table if present in post data
        if ( isset($_POST['gt_event_ctdate']) ) {
            update_post_meta( $event_id, 'gt_event_ctdate', $_POST['gt_event_ctdate'] );
        }
		
		 if ( isset($_POST['gt_event_cttime']) ) {
            update_post_meta( $event_id, 'gt_event_cttime', $_POST['gt_event_cttime'] );
        }
		
		 if ( isset($_POST['gt_event_vanue']) ) {
            update_post_meta( $event_id, 'gt_event_vanue', $_POST['gt_event_vanue'] );
        }
		
		if ( isset($_POST['gt_event_readmore']) ) {
            update_post_meta( $event_id, 'gt_event_readmore', $_POST['gt_event_readmore'] );
        }
		
		if ( isset($_POST['gt_event_readmore_link']) ) {
            update_post_meta( $event_id, 'gt_event_readmore_link', $_POST['gt_event_readmore_link'] );
        }
       
    }
}

function our_eventposts_func( $atts ) {
   extract( shortcode_atts( array(
		'showposts' => '',
		'excerptlength' => '5',
	), $atts ) );
	  extract( shortcode_atts( array( 'showposts' => '3',), $atts ) ); 
	$bposts = '';
	$args = array( 'post_type' => 'our-events', 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			the_post();
			$n++; if( $n%3 == 0 ) $nomargn = ' lastcols'; else $nomargn = '';
			$imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
			$gt_event_ctdate = esc_html( get_post_meta( get_the_ID(), 'gt_event_ctdate', true ) );					
			$gt_event_cttime = esc_html( get_post_meta( get_the_ID(), 'gt_event_cttime', true ) );					
			$gt_event_vanue = esc_html( get_post_meta( get_the_ID(), 'gt_event_vanue', true ) );
			$gt_event_readmore = esc_html( get_post_meta( get_the_ID(), 'gt_event_readmore', true ) );				
			$gt_event_readmore_link = esc_html( get_post_meta( get_the_ID(), 'gt_event_readmore_link', true ) );									
			
			
			$bposts .= '<div class="our_event_list">					   
					   
					   <div class="event_common event_imagebox">
							<div class="eventthumb">
								<a href="'.get_the_permalink().'"><img src="'.$imgSrc[0].'"/></a>
							</div>							
					   </div>
					   
					   <div class="event_common event_date">
						  <div class="day_month"><h4>'.$gt_event_ctdate.'</h4></div>
					   </div>					   
					   
						<div class="event_common event_infodetailsbox">							
							   <div class="eventtexttitle"><a href="'.get_the_permalink().'">'.get_the_title().'</a></div>
							   <div class="event_time"><i class="far fa-clock"></i> '.$gt_event_cttime.'</div>
							   <div class="event_descbx"><i class="fas fa-map-marker-alt"></i> '.$gt_event_vanue.'</div>						  
						   <div class="clear"></div>	   
					   </div>
						
						<div class="event_common event_readmore"> 
						 '.( ($gt_event_readmore!='') ? '<a class="green_button" href="'.$gt_event_readmore_link.'" target="_blank">'.$gt_event_readmore.'</a> ' : '').'
						   	
						</div>
					
					
					<div class="clear"></div>
				</div>';
		}
	}else{
		$bposts .= 'There is no found Event list';
	}
	wp_reset_query();
	$bposts .= '<div class="clear"></div>';
    return $bposts;
}
add_shortcode( 'events-row', 'our_eventposts_func' );


// Social Icon Shortcodes 
function prayer_pro_social_area($atts,$content = null){
  return '<div class="social-icons">'.do_shortcode($content).'</div>';
 }
add_shortcode('social_area','prayer_pro_social_area');

function prayer_pro_social($atts){
 extract(shortcode_atts(array(
  'icon' => '',
  'link' => ''
 ),$atts));
  return '<a href="'.$link.'" target="_blank" class="'.$icon.'"></a>';
 }
add_shortcode('social','prayer_pro_social');

//footer Social
function prayer_pro_footer_social($atts){
 extract(shortcode_atts(array(
  'title' => '',
  'icon' => '',
  'link' => '',
  'class' => ''
 ),$atts));
  return '<a href="'.$link.'" target="_blank" class="'.$icon.' '.$class.'"><span>'.$title.'</span></a>';
 }
add_shortcode('footer-social','prayer_pro_footer_social');


function contactform_func( $atts ) {
    $atts = shortcode_atts( array(
        'to_email' => get_bloginfo('admin_email'),
		'title' => 'Contact enquiry - '.home_url( '/' ),
    ), $atts );

	$cform = "<div class=\"main-form-area\" id=\"contactform_main\">";

	$cerr = array();
	if( isset($_POST['c_submit']) && $_POST['c_submit']=='Submit' ){
		$name 			= trim( $_POST['c_name'] );
		$email 			= trim( $_POST['c_email'] );	
		$comments 		= trim( $_POST['c_comments'] );
		$captcha 		= trim( $_POST['c_captcha'] );
		$captcha_cnf	= trim( $_POST['c_captcha_confirm'] );

		if( !$name )
			$cerr['name'] = 'Please enter your name.';
		if( ! filter_var($email, FILTER_VALIDATE_EMAIL) ) 
			$cerr['email'] = 'Please enter a valid email.';		
		if( !$comments )
			$cerr['comments'] = 'Please enter your message.';
		if( !$captcha || (md5($captcha) != $captcha_cnf) )
			$cerr['captcha'] = 'Please enter the correct answer.';

		if( count($cerr) == 0 ){
			$subject = $atts['title'];
			$headers = "From: ".$name." <" . strip_tags($email) . ">\r\n";
			$headers .= "MIME-Version: 1.0\r\n";
			$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";

			$message = '<html><body>
							<table>
								<tr><td>Name: </td><td>'.$name.'</td></tr>
								<tr><td>Email: </td><td>'.$email.'</td></tr>													
								<tr><td>Message: </td><td>'.$comments.'</td></tr>
							</table>
						</body>
					</html>';
			mail( $atts['to_email'], $subject, $message, $headers);
			$cform .= '<div class="success_msg">Thank you! A representative will get back to you very shortly.</div>';
			unset( $name, $email, $comments, $captcha );
		}else{
			$cform .= '<div class="error_msg">';
			$cform .= implode('<br />',$cerr);
			$cform .= '</div>';
		}
	}

	$capNum1 	= rand(1,4);
	$capNum2 	= rand(1,5);
	$capSum		= $capNum1 + $capNum2;
	$sumStr		= $capNum1." + ".$capNum2 ." = ";

	$cform .= "<form name=\"contactform\" action=\"#contactform_main\" method=\"post\">
			<p><input type=\"text\" name=\"c_name\" value=\"". ( ( empty($name) == false ) ? $name : "" ) ."\" placeholder=\"Name\" /></p>
			<p><input type=\"email\" name=\"c_email\" value=\"". ( ( empty($email) == false ) ? $email : "" ) ."\" placeholder=\"Email\" /></p>			
			<p><textarea name=\"c_comments\" placeholder=\"Message\">". ( ( empty($comments) == false ) ? $comments : "" ) ."</textarea></p>";
	$cform .= "<p><span class=\"capcode\">$sumStr</span><input type=\"text\" placeholder=\"Captcha\" value=\"". ( ( empty($captcha) == false ) ? $captcha : "" ) ."\" name=\"c_captcha\" /><input type=\"hidden\" name=\"c_captcha_confirm\" value=\"". md5($capSum)."\"></p>";
	$cform .= "<p class=\"sub\"><input type=\"submit\" name=\"c_submit\" value=\"Submit\" class=\"search-submit\" /></p>
		</form>
	</div>";

    return $cform;
}
add_shortcode( 'contactform', 'contactform_func' );


//custom post type for Our photogallery
function my_custom_post_photogallery() {
	$labels = array(
		'name'               => __( 'Photo Gallery','prayer-pro' ),
		'singular_name'      => __( 'Photo Gallery','prayer-pro' ),
		'add_new'            => __( 'Add New','prayer-pro' ),
		'add_new_item'       => __( 'Add New Image ','prayer-pro' ),
		'edit_item'          => __( 'Edit Image','prayer-pro' ),
		'new_item'           => __( 'New Image','prayer-pro' ),
		'all_items'          => __( 'All Images','prayer-pro' ),
		'view_item'          => __( 'View Image','prayer-pro' ),
		'search_items'       => __( 'Search Images','prayer-pro' ),
		'not_found'          => __( 'No images found','prayer-pro' ),
		'not_found_in_trash' => __( 'No images found in the Trash','prayer-pro' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Photo Gallery'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Photo Gallery',
		'public'        => true,
		'menu_position' => 23,
		'supports'      => array( 'title', 'thumbnail' ),
		'has_archive'   => true,
	);
	register_post_type( 'photogallery', $args );
}
add_action( 'init', 'my_custom_post_photogallery' );


//  register gallery taxonomy
register_taxonomy( "gallerycategory", 
	array("photogallery"), 
	array(
		"hierarchical" => true, 
		"label" => "Gallery Category", 
		"singular_label" => "Photo Gallery", 
		"rewrite" => true
	)
);

add_action("manage_posts_custom_column",  "photogallery_custom_columns");
add_filter("manage_edit-photogallery_columns", "photogallery_edit_columns");
function photogallery_edit_columns($columns){
	$columns = array(
		"cb" => '<input type="checkbox" />',
		"title" => "Gallery Title",
		"pcategory" => "Gallery Category",
		"view" => "Image",
		"date" => "Date",
	);
	return $columns;
}
function photogallery_custom_columns($column){
	global $post;
	switch ($column) {
		case "pcategory":
			echo get_the_term_list($post->ID, 'gallerycategory', '', ', ','');
		break;
		case "view":
			the_post_thumbnail('thumbnail');
		break;
		case "date":

		break;
	}
}


//[photogallery filter="false"]
function photogallery_shortcode_func( $atts ) {
	extract( shortcode_atts( array(
		'show' => -1,
		'filter' => 'true'
	), $atts ) );
	$pfStr = '';

	$pfStr .= '<div class="photobooth">';
	if( $filter == 'true' ){
		$pfStr .= '<ul class="portfoliofilter clearfix"><li><a class="selected" data-filter="*" href="#">'.of_get_option('galleryshowallbtn').'</a><span></span></li>';
		$categories = get_categories( array('taxonomy' => 'gallerycategory') );
		foreach ($categories as $category) {
			$pfStr .= '<li><a data-filter=".'.$category->slug.'" href="#">'.$category->name.'</a></li>';
		}
		$pfStr .= '</ul>';
	}

	$pfStr .= '<div class="row threecol portfoliowrap"><div class="portfolio">';
	$j=0;
	query_posts('post_type=photogallery&posts_per_page='.$show); 
	if ( have_posts() ) : while ( have_posts() ) : the_post(); 
	$j++;
		$videoUrl = get_post_meta( get_the_ID(), 'video_file_url', true);
		$imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
		$terms = wp_get_post_terms( get_the_ID(), 'gallerycategory', array("fields" => "all"));
		$slugAr = array();
		foreach( $terms as $tv ){
			$slugAr[] = $tv->slug;
		}
		if ( $imgSrc[0]!='' ) {
			$imgUrl = $imgSrc[0];
		}else{
			$imgUrl = get_template_directory_uri().'/images/img_404.png';
		}
		$pfStr .= '<div class="entry '.implode(' ', $slugAr).'">
						<div class="holderwrap">
						  <figure class="effect-bubba"> 
						  	<a href="'.( ($videoUrl) ? $videoUrl : $imgSrc[0] ).'" data-rel="prettyPhoto[bkpGallery]">
							 <img src="'.$imgSrc[0].'"/>
							 <h5>'.get_the_title().'</h5>
							 <figcaption></figcaption>
							</a>	
							</figure>													
						</div>
					</div>';
		unset( $slugAr );
	endwhile; else: 
		$pfStr .= '<p>Sorry, photo gallery is empty.</p>';
	endif; 
	wp_reset_query();
	$pfStr .= '</div></div>';
	$pfStr .= '</div>';
	return $pfStr;
}
add_shortcode( 'photogallery', 'photogallery_shortcode_func' );

/*toggle function*/
function toggle_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Click here to toggle content',
	), $atts ) );
	$tog_content = "<div class=\"toggle_holder\"><h3 class=\"slide_toggle\"><a href=\"#\">{$title}</a></h3>
					<div class=\"slide_toggle_content\">".get_the_content_format( $content )."</div></div>";

	return $tog_content;
}
add_shortcode( 'toggle_content', 'toggle_func' );

function tabs_func( $atts, $content = null ) {
	$tabs = '<div class="tabs-wrapper"><ul class="tabs">'.do_shortcode($content).'</ul></div>';
	return $tabs;
}
add_shortcode( 'tabs', 'tabs_func' );

function tab_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Tab Title',
	), $atts ) );
	$rand = rand(100,999);
	$tab = '<li><a rel="tab'.$rand.'" href="javascript:void(0)">'.$title.'</a><div id="tab'.$rand.'" class="tab-content">'.get_the_content_format($content).'</div></li>';
	return $tab;
}
add_shortcode( 'tab', 'tab_func' );

// Button Shortcode
function readmorebtn_fun($atts){
	extract(shortcode_atts(array(
	'name'	=> '',
	'align'	=> '',
	'link'	=> '#',
	'target'=> '',
	), $atts));
	return '<div class="custombtn" style="text-align:'.$align.'">	
	   <a class="morebutton" href="'.$link.'" target="'.$target.'">'.$name.'</a>	   	   
	</div>';
	}
add_shortcode('button','readmorebtn_fun');

// Button Shortcode
function borderbtn_fun($atts){
	extract(shortcode_atts(array(
	'name'	=> '',
	'align'	=> '',
	'link'	=> '#',
	'target'=> '',
	), $atts));
	return '<div class="custombtn" style="text-align:'.$align.'">	
	   <a class="borderbutton" href="'.$link.'" target="'.$target.'">'.$name.'</a>	   	   
	</div>';
	}
add_shortcode('border-button','borderbtn_fun');

// Button Shortcode
function readmorebtn_style2_fun($atts){
	extract(shortcode_atts(array(
	'name'	=> '',
	'align'	=> '',
	'link'	=> '#',
	'target'=> '',	
	), $atts));
	return '<div class="custombtn" style="text-align:'.$align.'">	
	   <a class="buttonstyle1" href="'.$link.'" target="'.$target.'">'.$name.'</a>	   	   
	</div>';
	}
add_shortcode('buttonstyle2','readmorebtn_style2_fun');

// space Shortcode
function space_fun($atts){
	extract(shortcode_atts(array(
	'height'	=> '',	
	), $atts));
	return '<div class="space" style="height:'.$height.'"></div>';
	}
add_shortcode('space','space_fun');

// Sub Shortcode
function subtitle_fun($atts){
	extract(shortcode_atts(array(
	'size'	=> '',
	'color'	=> '',	
	'description'	=> '',
	'align'	=> '',
	), $atts));
	return '<div class="subtitle" style="font-size:'.$size.'; color:'.$color.'; text-align:'.$align.';">'.$description.'</div>';
	}
add_shortcode('subtitle','subtitle_fun');


// Section Content Main title Shortcode
function section_main_title_fun($atts){
	extract(shortcode_atts(array(	
	'title'	=> '',
	'align'	=> '',
	), $atts));
	return '<div class="sec_content_main_title" style="text-align:'.$align.';">'.$title.'</div>';
	}
add_shortcode('section-main-title','section_main_title_fun');


// Latest News function
function latestnewsoutput_func( $atts ){
   extract( shortcode_atts( array(
		'showposts' => 3,		
		'comment' => '',
		'date' => '',
		'author' => '',		
	), $atts ) );
	$postoutput = '<div class="threecolumn-news">';
	wp_reset_query();
	$n = 0;
	query_posts(  array( 'posts_per_page'=>$showposts, 'post__not_in' => get_option('sticky_posts') )  );
	if ( have_posts() ) :
		while ( have_posts() ) : the_post();
			$n++;
			if($comment=='show' || $comment==''){   
				$post_comment = ' <span>Comments ( <a href="'.get_the_permalink().'#comments">'.get_comments_number().' </a>)</span>';
			} else {
				$post_comment = '';
			}			
			if($date=='show'){   
				$post_date = '<div class="postdt"><span>'.get_the_date('Y').'</span> '.get_the_date('M, d').'</div>';
			} else {
				$post_date = '';
			}	
			if($author=='show'){   
				$post_author = '<span>Posted By '.get_the_author_posts_link().'</span>';
			} else {
				$post_author = '';
			}
			if( $n%3==0 )  $nomgn = 'last';	else $nomgn = ' ';
			if ( has_post_thumbnail()) {
				$large_imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');
				$imgUrl = $large_imgSrc[0];
			}else{
				$imgUrl = get_template_directory_uri().'/images/img_404.png';
			}
			$postoutput .= '<div class="news-box '.$nomgn.'">
								<div class="news-thumb">
									<a href="'.get_the_permalink().'"><img src="'.$imgUrl.'" alt=" " /></a>									
								</div>								 
								<div class="newsdesc">
								'.$post_date.'									
									<div class="PostMeta">										
										'.$post_author.'
										'.$post_comment.'                                    
									 </div>	
									 <h6><a href="'.get_permalink().'">'.get_the_title().'</a></h6>													
									 '.content( of_get_option('latestnewslength') ).'
									 <a class="poststyle" href="'.get_permalink().'">'.of_get_option('blogpostreadmoretext').'</a>								 
								</div>
								<div class="clear"></div>
                        </div>';	
						$postoutput .= ''.(($n%3==0) ? '' : '');	
		endwhile;
	endif;
	wp_reset_query();
	$postoutput .= '</div>';	
	return $postoutput;
}
add_shortcode( 'latest-news', 'latestnewsoutput_func' );

/* [custom-video youtubeid="" cover="" ] */
function theme_custom_video_fun($atts, $content = null){
	extract( shortcode_atts(array(
		'cover'  => '',		
		'youtubeid'  => '',	
		'cover'  => '',	
		'class'  => '',			
	), $atts));
	return '
			<div class="videobox hvr-glow">
			     <img src="'.$cover.'"  alt="" />
			     <a href="#" class="youtube-link" youtubeid="'.$youtubeid.'"><div class="playbtn hvr-shrink"></div></a>						
			</div>';
	}
add_shortcode('custom-video','theme_custom_video_fun');


// Industries Services Shortcode
function my_custom_industries_services_func($atts){
	extract(shortcode_atts(array(	
	'title'	=> '',
	'description'	=> '',	
	'icon' => '',
	'class' => '',
	), $atts));
	return '<div class="ind_col3 '.$class.' hvr-rectangle-out">                
                  <div class="">
                      <i class="'.$icon.'"></i>
                      <div class="ind_info">
                          <h4>'.$title.'</h4>
                          <p>'.$description.'</p>
                      </div></div>                
                </div>';
	}
add_shortcode('ind_services','my_custom_industries_services_func');
//[ind_services title="" description="" image=""]

//Pricing Table
function pricing_table_shortcode_func( $atts, $content = null ) {
   extract( shortcode_atts( array(
		'columns' => '4',
	), $atts ) );
	$ptbl = '<div class="pricing_table pcol'.$columns.'">'.do_shortcode( str_replace(array('<br />','\t','\n','\r','\0'.'\x0B'), array('','','','','',''), $content) ) .'<div class="clear"></div></div>';
	return $ptbl;
}
add_shortcode( 'pricing_table', 'pricing_table_shortcode_func' );

function price_column_func( $atts, $content = null ) {
   extract( shortcode_atts( array(
		'highlight' => '',
		'bgcolor' => '',
	), $atts ) );
	$pcol = '<div class="price_col '.( (strtolower($highlight) == 'yes') ? 'highlight' : '' ).'" '.( ($bgcolor!='') ? 'style="background-color:'.$bgcolor.' !important;"' : '' ) .'>'.do_shortcode( $content ) .'</div>';
    return $pcol;
}
add_shortcode( 'price_column', 'price_column_func' );

function price_column_header_func( $atts, $content = null ) {  
	$pheader = '<div class="th">'.$content.'</div>';
    return $pheader;
}
add_shortcode( 'price_header', 'price_column_header_func' );

function price_column_footer_func( $atts, $content = null ) {
   extract( shortcode_atts( array(
		'link' => '#',
	), $atts ) );
	$pfooter = '<div class="tf"><a href="'.$link.'">'.strip_tags($content).'</a></div>';
    return $pfooter;
}
add_shortcode( 'price_footer', 'price_column_footer_func' );

function price_row_footer_func( $atts, $content = null ) {
	$prow = '<div class="td">'.$content.'</div>';
    return $prow;
}
add_shortcode( 'price_row', 'price_row_footer_func' );

function price_row_packageprice_func( $atts, $content = null ) {
    extract( shortcode_atts( array(
		'bgcolors' => '',			
	), $atts ) );
  $ppack = '<div class="price" style="background-color:'.$bgcolors.'">'.strip_tags($content).'</div>';
  return $ppack;
}
add_shortcode( 'package_price', 'price_row_packageprice_func' );

// Church Services section 1 Shortcode
function my_custom_church_services_func($atts){
	extract(shortcode_atts(array(	
	'title'	=> '',
	'description'	=> '',	
	'image' => '',
  	'link' => '',	
	), $atts));
	return '<div class="pp_servicesbx">
		   <a href="'.$link.'"> 
		   <div class="content-overlay"></div>
		    <img src="'.$image.'" />
		    <div class="content-details fadeIn-bottom">		     
			  <h3>'.$title.'</h3>
			  <p>'.$description.'</p>			
			  <a class="green_button" href="'.$link.'">Read more</a>
		   </div>
		 </a>   
	</div>';
	}
add_shortcode('church_services','my_custom_church_services_func');
//[church_services title="" description="" image="" link=""]

// Shortcode welcome sevices
//[welcome_sevices icon="" title="" description="" ]
function prayer_pro_welcome_services_func($atts){
		extract( shortcode_atts(array(
		'image' => '',
		'subtitle' => '',
		'title' => '',
		'description' => '',
		'class' => '',
		'link' => '',			
		), $atts));	
		return '
			<div class="wel3box_services '.$class.'">				
					'.( ($image!='') ? '<div class="welcome_thumb"><a href="'.$link.'"><img src="'.$image.'"></a></div>' : '').' 
					<div class="wel3box_desc">
					<h6>'.$subtitle.'</h6>
					<h4><a href="'.$link.'">'.$title.'</a></h4>
					<p>'.$description.'</p>
					</div>				
			</div>';
}
add_shortcode('welcome_sevices','prayer_pro_welcome_services_func');

/* [date-time icon="" info=""] */
function prayer_pro_date_time($atts, $content = null){
	extract( shortcode_atts(array(
		'icon'  => '',		
		'info'  => '',		
	), $atts));
	return '
			<div class="eventinfo">
			        <i class="'.$icon.'"></i>
					<span>'.$info.'</span>				
			</div>';
	}
add_shortcode('date-time','prayer_pro_date_time');

/*[countdown count="1" year="2017" month="07" date="27"]*/
function countdown($atts){
		extract( shortcode_atts(array(
		'year' => '',
		'month' => '',
		'date' => '',
		'count' => '',
		'color' => '',
		), $atts));	
		return ' 
		<script>CountDownTimer("'.$year.'/'.$month.'/'.$date.'", "countdown'.$count.'");</script>
		<div id="countdown'.$count.'" style="color:'.$color.';"></div>
		';
}
add_shortcode('countdown','countdown');

function fund_donations_function($atts, $content = null ){
	extract(shortcode_atts(array(	
	'title'	=> '',
	'subtitle'	=> '',
	'amount'	=> '',
	'content'	=> '',
	'skillbar_bgcolor'	=> '',
	'percent'	=> '',
	'percent_bgcolor'	=> '',
	'to_go_price'	=> '',
	'donate_price'	=> '',
	'donate_button'	=> '',
	'link'	=> '',
	'target'	=> '',
	), $atts));
	return '
		<div class="funding-col">			
			<div class="funding-content">
			'.(($amount!='') ? '<h3>'.$amount.'<span>'.$subtitle.'</span></h3>' : '' ).'
			<div class="skill-bar-percent">'.$percent.'</div>
			<div class="causes-skill">
			    <div class="skillbar-title"><span>'.$title.'</span></div>				
				<div class="skillbar " data-percent="'.$percent.'" style="background:'.$skillbar_bgcolor.';">
					<div class="skillbar-bar" style="background:'.$percent_bgcolor.';"></div>
				</div>				
			</div>
			<div class="cuase-raised"><span class="left">'.$donate_price.'</span><span class="right">'.$to_go_price.'</span><div class="clear"></div></div>
			'.(($donate_button!='') ? '<a href="'.$link.'" class="green_button" target="'.$target.'">'.$donate_button.'</a>' : '' ).'
				<div class="clear"></div>
			</div>
		</div>
		';
	}
add_shortcode('fund_donation','fund_donations_function');


/*Video gallery function*/
function videogallery_functions($atts, $content = null){
	return '<div class="videogalley_wrapper">'.do_shortcode($content).'</div>';
	}
add_shortcode('video_carousel','videogallery_functions');

//Video Gallery functions
/* [most_video title="" address="" icon="" ] */
function our_gallery_videos($atts, $content = null){
	extract( shortcode_atts(array(
		'url'  => '',
		'image'  => '',
		'title'  => '',		
		'youtubeid'  => '',
		'description'  => '',
	), $atts));
	return '
		<div class="most_video">
			<div class="most_video_bg">
				<div class="video-title-desc">					
					<a href="'.$url.'" class="youtube-link" youtubeid="'.$youtubeid.'"><i class="fas fa-caret-right"></i></a>
				</div>
			   <img src="'.$image.'"  alt="" />
			</div>
		</div>';
	}
add_shortcode('videolist','our_gallery_videos');


//Need pray functions
//[need_pray image="" title="" description=""]
function need_pray_2column_func($atts){
		extract( shortcode_atts(array(
		'image' => '',		
		'title' => '',
		'description' => '',
		'button' => '',
		'link' => '',		
		), $atts));	
		return '
			<div class="pray2column_services">				
					'.( ($image!='') ? '<div class="prayimgbx"><img src="'.$image.'"></div>' : '').' 
					<div class="pray2column_desc">					
						<h4>'.$title.'</h4>
						<p>'.$description.'</p>
						'.(($button!='') ? '<a href="'.$link.'" class="green_button">'.$button.'</a>' : '' ).'
					</div>				
			</div>';
}
add_shortcode('need_pray','need_pray_2column_func');


/*Our Causes Function*/
function our_causes_fun($atts){
	extract(shortcode_atts(array(	
	'title'	=> '',
	'description'	=> '',
	'image'	=> '',	
	'link'	=> '',
	'class'	=> '',
		
	), $atts));
	return '<div class="causesbx '.$class.'"><a href="'.$link.'" target="_blank"><div class="circleimgbox"><img src="'.$image.'" /></div>
	        <div class="titlebox"><h4>'.$title.'</h4><p>'.$description.'</p></div></a></div>';
	}
add_shortcode('causes','our_causes_fun');

define('GRACE_THEME_DOC','http://www.gracethemesdemo.com/documentation/prayer/');