<?php         
/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 * By default it uses the theme name, in lowercase and without spaces, but this can be changed if needed.
 * If the identifier changes, it'll appear as if the options have been reset.
 */ 

function optionsframework_option_name() {
	// Change this to use your theme slug
	$themename = wp_get_theme();
	$themename = preg_replace("/\W/", "_", strtolower($themename) );
	return $themename;
}

/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the 'id' fields, make sure to use all lowercase and no spaces.
 *
 * If you are making your theme translatable, you should replace 'prayer-pro'
 * with the actual text domain for your theme.  Read more:
 * http://codex.wordpress.org/Function_Reference/load_theme_textdomain
*/

function optionsframework_options() {
	//array of all custom font types.
	$font_types = array( '' => '',
    'ABeeZee' => 'ABeeZee',
    'Abel' => 'Abel',
    'Abril Fatface' => 'Abril Fatface',
    'Aclonica' => 'Aclonica',
    'Acme' => 'Acme',
    'Actor' => 'Actor',
    'Adamina' => 'Adamina',
    'Advent Pro' => 'Advent Pro',
    'Aguafina Script' => 'Aguafina Script',
    'Akronim' => 'Akronim',
    'Aladin' => 'Aladin',
    'Aldrich' => 'Aldrich',
    'Alegreya' => 'Alegreya',
    'Alegreya Sans SC' => 'Alegreya Sans SC',
    'Alegreya SC' => 'Alegreya SC',
    'Alex Brush' => 'Alex Brush',
    'Alef' => 'Alef',
    'Alfa Slab One' => 'Alfa Slab One',
    'Alice' => 'Alice',
    'Alike' => 'Alike',
    'Alike Angular' => 'Alike Angular',
    'Allan' => 'Allan',
    'Allerta' => 'Allerta',
    'Allerta Stencil' => 'Allerta Stencil',
    'Allura' => 'Allura',
    'Almendra' => 'Almendra',
    'Almendra Display' => 'Almendra Display',
    'Almendra SC' => 'Almendra SC',
    'Amiri' => 'Amiri',
    'Amarante' => 'Amarante',
    'Amaranth' => 'Amaranth',
    'Amatic SC' => 'Amatic SC',
    'Amethysta' => 'Amethysta',
    'Amita' => 'Amita',
    'Anaheim' => 'Anaheim',
    'Andada' => 'Andada',
    'Andika' => 'Andika',
    'Annie Use Your Telescope' => 'Annie Use Your Telescope',
    'Anonymous Pro' => 'Anonymous Pro',
    'Antic' => 'Antic',
    'Antic Didone' => 'Antic Didone',
    'Antic Slab' => 'Antic Slab',
    'Anton' => 'Anton',
    'Angkor' => 'Angkor',
    'Arapey' => 'Arapey',
    'Arbutus' => 'Arbutus',
    'Arbutus Slab' => 'Arbutus Slab',
    'Architects Daughter' => 'Architects Daughter',
    'Archivo White' => 'Archivo White',
    'Archivo Narrow' => 'Archivo Narrow',
    'Arial' => 'Arial',
    'Arimo' => 'Arimo',
    'Arya' => 'Arya',
    'Arizonia' => 'Arizonia',
    'Armata' => 'Armata',
    'Artifika' => 'Artifika',
    'Arvo' => 'Arvo',
    'Asar' => 'Asar',
    'Asap' => 'Asap',
    'Asset' => 'Asset',
	'Assistant' => 'Assistant',
    'Astloch' => 'Astloch',
    'Asul' => 'Asul',
    'Atomic Age' => 'Atomic Age',
    'Aubrey' => 'Aubrey',
    'Audiowide' => 'Audiowide',
    'Autour One' => 'Autour One',
    'Average' => 'Average',
    'Average Sans' => 'Average Sans',
    'Averia Gruesa Libre' => 'Averia Gruesa Libre',
    'Averia Libre' => 'Averia Libre',
    'Averia Sans Libre' => 'Averia Sans Libre',
    'Averia Serif Libre' => 'Averia Serif Libre',
    'Battambang' => 'Battambang',
    'Bad Script' => 'Bad Script',
    'Bayon' => 'Bayon',
    'Balthazar' => 'Balthazar',
    'Bangers' => 'Bangers',
    'Basic' => 'Basic',
    'Baumans' => 'Baumans',
    'Belgrano' => 'Belgrano',
    'Belleza' => 'Belleza',
    'BenchNine' => 'BenchNine',
    'Bentham' => 'Bentham',
    'Berkshire Swash' => 'Berkshire Swash',
    'Bevan' => 'Bevan',
    'Bigelow Rules' => 'Bigelow Rules',
    'Bigshot One' => 'Bigshot One',
    'Bilbo' => 'Bilbo',
    'Bilbo Swash Caps' => 'Bilbo Swash Caps',
    'Biryani' => 'Biryani',
    'Bitter' => 'Bitter',
    'White Ops One' => 'White Ops One',
    'Bokor' => 'Bokor',
    'Bonbon' => 'Bonbon',
    'Boogaloo' => 'Boogaloo',
    'Bowlby One' => 'Bowlby One',
    'Bowlby One SC' => 'Bowlby One SC',
    'Brawler' => 'Brawler',
    'Bree Serif' => 'Bree Serif',
    'Bubblegum Sans' => 'Bubblegum Sans',
    'Bubbler One' => 'Bubbler One',
    'Buda' => 'Buda',
    'Buenard' => 'Buenard',
    'Butcherman' => 'Butcherman',
    'Butcherman Caps' => 'Butcherman Caps',
    'Butterfly Kids' => 'Butterfly Kids',
    'Cabin' => 'Cabin',
    'Cabin Condensed' => 'Cabin Condensed',
    'Cabin Sketch' => 'Cabin Sketch',
    'Cabin' => 'Cabin',
    'Caesar Dressing' => 'Caesar Dressing',
    'Cagliostro' => 'Cagliostro',
    'Calligraffitti' => 'Calligraffitti',
    'Cambay' => 'Cambay',
    'Cambo' => 'Cambo',
    'Candal' => 'Candal',
    'Cantarell' => 'Cantarell',
    'Cantata One' => 'Cantata One',
    'Cantora One' => 'Cantora One',
    'Capriola' => 'Capriola',
    'Cardo' => 'Cardo',
    'Carme' => 'Carme',
    'Carrois Gothic' => 'Carrois Gothic',
    'Carrois Gothic SC' => 'Carrois Gothic SC',
    'Carter One' => 'Carter One',
    'Caveat' => 'Caveat',
    'Caveat Brush' => 'Caveat Brush',
    'Catamaran' => 'Catamaran',
    'Caudex' => 'Caudex',
    'Cedarville Cursive' => 'Cedarville Cursive',
    'Ceviche One' => 'Ceviche One',
    'Changa One' => 'Changa One',
    'Chango' => 'Chango',
    'Chau Philomene One' => 'Chau Philomene One',
    'Chenla' => 'Chenla',
    'Chela One' => 'Chela One',
    'Chelsea Market' => 'Chelsea Market',
    'Cherry Cream Soda' => 'Cherry Cream Soda',
    'Cherry Swash' => 'Cherry Swash',
    'Chewy' => 'Chewy',
    'Chicle' => 'Chicle',
    'Chivo' => 'Chivo',
    'Chonburi' => 'Chonburi',
    'Cinzel' => 'Cinzel',
    'Cinzel Decorative' => 'Cinzel Decorative',
    'Clicker Script' => 'Clicker Script',
    'Coda' => 'Coda',
    'Codystar' => 'Codystar',
    'Combo' => 'Combo',
    'Comfortaa' => 'Comfortaa',
    'Coming Soon' => 'Coming Soon',
    'Condiment' => 'Condiment',
    'Content' => 'Content',
    'Contrail One' => 'Contrail One',
    'Convergence' => 'Convergence',
    'Cookie' => 'Cookie',
    'Comic Sans MS' => 'Comic Sans MS',
    'Copse' => 'Copse',
    'Corben' => 'Corben',
    'Courgette' => 'Courgette',
    'Cousine' => 'Cousine',
    'Coustard' => 'Coustard',
    'Covered By Your Grace' => 'Covered By Your Grace',
    'Crafty Girls' => 'Crafty Girls',
    'Creepster' => 'Creepster',
    'Creepster Caps' => 'Creepster Caps',
    'Crete Round' => 'Crete Round',
    'Crimson' => 'Crimson',
    'Croissant One' => 'Croissant One',
    'Crushed' => 'Crushed',
    'Cuprum' => 'Cuprum',
    'Cutive' => 'Cutive',
    'Cutive Mono' => 'Cutive Mono',
    'Damion' => 'Damion',
    'Dangrek' => 'Dangrek',
    'Dancing Script' => 'Dancing Script',
    'Dawning of a New Day' => 'Dawning of a New Day',
    'Days One' => 'Days One',
    'Dekko' => 'Dekko',
    'Delius' => 'Delius',
    'Delius Swash Caps' => 'Delius Swash Caps',
    'Delius Unicase' => 'Delius Unicase',
    'Della Respira' => 'Della Respira',
    'Denk One' => 'Denk One',
    'Devonshire' => 'Devonshire',
    'Dhurjati' => 'Dhurjati',
    'Didact Gothic' => 'Didact Gothic',
    'Diplomata' => 'Diplomata',
    'Diplomata SC' => 'Diplomata SC',
    'Domine' => 'Domine',
    'Donegal One' => 'Donegal One',
    'Doppio One' => 'Doppio One',
    'Dorsa' => 'Dorsa',
    'Dosis' => 'Dosis',
    'Dr Sugiyama' => 'Dr Sugiyama',
    'Droid Sans' => 'Droid Sans',
    'Droid Sans Mono' => 'Droid Sans Mono',
    'Droid Serif' => 'Droid Serif',
    'Duru Sans' => 'Duru Sans',
    'Dynalight' => 'Dynalight',
    'EB Garamond' => 'EB Garamond',
    'Eczar' => 'Eczar',
    'Eagle Lake' => 'Eagle Lake',
    'Eater' => 'Eater',
    'Eater Caps' => 'Eater Caps',
    'Economica' => 'Economica',
    'Ek Mukta' => 'Ek Mukta',
    'Electrolize' => 'Electrolize',
    'Elsie' => 'Elsie',
    'Elsie Swash Caps' => 'Elsie Swash Caps',
    'Emblema One' => 'Emblema One',
    'Emilys Candy' => 'Emilys Candy',
    'Engagement' => 'Engagement',
    'Englebert' => 'Englebert',
    'Enriqueta' => 'Enriqueta',
    'Erica One' => 'Erica One',
    'Esteban' => 'Esteban',
    'Euphoria Script' => 'Euphoria Script',
    'Ewert' => 'Ewert',
    'Exo' => 'Exo',
    'Exo 2' => 'Exo 2',
    'Expletus Sans' => 'Expletus Sans',
    'Fanwood Text' => 'Fanwood Text',
    'Fascinate' => 'Fascinate',
    'Fascinate Inline' => 'Fascinate Inline',
    'Fasthand' => 'Fasthand',
    'Faster One' => 'Faster One',
    'Federant' => 'Federant',
    'Federo' => 'Federo',
    'Felipa' => 'Felipa',
    'Fenix' => 'Fenix',
    'Finger Paint' => 'Finger Paint',
    'Fira Mono' => 'Fira Mono',
    'Fira Sans' => 'Fira Sans',
    'Fjalla One' => 'Fjalla One',
    'Fjord One' => 'Fjord One',
    'Flamenco' => 'Flamenco',
    'Flavors' => 'Flavors',
    'Fondamento' => 'Fondamento',
    'Fontdiner Swanky' => 'Fontdiner Swanky',
    'Forum' => 'Forum',
    'Francois One' => 'Francois One',
    'FreeSans' => 'FreeSans',
    'Freckle Face' => 'Freckle Face',
    'Fredericka the Great' => 'Fredericka the Great',
    'Fredoka One' => 'Fredoka One',
    'Fresca' => 'Fresca',
    'Freehand' => 'Freehand',
    'Frijole' => 'Frijole',
    'Fruktur' => 'Fruktur',
    'Fugaz One' => 'Fugaz One',
    'Gafata' => 'Gafata',
    'Galdeano' => 'Galdeano',
    'Galindo' => 'Galindo',
    'Gentium Basic' => 'Gentium Basic',
    'Gentium Book Basic' => 'Gentium Book Basic',
    'Geo' => 'Geo',
    'Georgia' => 'Georgia',
    'Geostar' => 'Geostar',
    'Geostar Fill' => 'Geostar Fill',
    'Germania One' => 'Germania One',
    'Gilda Display' => 'Gilda Display',
    'Give You Glory' => 'Give You Glory',
    'Glass Antiqua' => 'Glass Antiqua',
    'Glegoo' => 'Glegoo',
    'Gloria Hallelujah' => 'Gloria Hallelujah',
    'Goblin One' => 'Goblin One',
    'Gochi Hand' => 'Gochi Hand',
    'Gorditas' => 'Gorditas',
    'Gurajada' => 'Gurajada',
    'Goudy Bookletter 1911' => 'Goudy Bookletter 1911',
    'Graduate' => 'Graduate',
    'Grand Hotel' => 'Grand Hotel',
    'Gravitas One' => 'Gravitas One',
    'Great Vibes' => 'Great Vibes',
    'Griffy' => 'Griffy',
    'Gruppo' => 'Gruppo',
    'Gudea' => 'Gudea',
    'Gidugu' => 'Gidugu',
    'GFS Didot' => 'GFS Didot',
    'GFS Neohellenic' => 'GFS Neohellenic',
    'Habibi' => 'Habibi',
    'Hammersmith One' => 'Hammersmith One',
    'Halant' => 'Halant',
    'Hanalei' => 'Hanalei',
    'Hanalei Fill' => 'Hanalei Fill',
    'Handlee' => 'Handlee',
    'Hanuman' => 'Hanuman',
    'Happy Monkey' => 'Happy Monkey',
    'Headland One' => 'Headland One',
    'Henny Penny' => 'Henny Penny',
    'Herr Von Muellerhoff' => 'Herr Von Muellerhoff',
    'Hind' => 'Hind',
    'Hind Siliguri' => 'Hind Siliguri',
    'Hind Vadodara' => 'Hind Vadodara',
    'Holtwood One SC' => 'Holtwood One SC',
    'Homemade Apple' => 'Homemade Apple',
    'Homenaje' => 'Homenaje',
    'IM Fell' => 'IM Fell',
    'Itim' => 'Itim',
    'Iceberg' => 'Iceberg',
    'Iceland' => 'Iceland',
    'Imprima' => 'Imprima',
    'Inconsolata' => 'Inconsolata',
    'Inder' => 'Inder',
    'Indie Flower' => 'Indie Flower',
    'Inknut Antiqua' => 'Inknut Antiqua',
    'Inika' => 'Inika',
    'Irish Growler' => 'Irish Growler',
    'Istok Web' => 'Istok Web',
    'Italiana' => 'Italiana',
    'Italianno' => 'Italianno',
    'Jacques Francois' => 'Jacques Francois',
    'Jacques Francois Shadow' => 'Jacques Francois Shadow',
    'Jim Nightshade' => 'Jim Nightshade',
    'Jockey One' => 'Jockey One',
    'Jaldi' => 'Jaldi',
    'Jolly Lodger' => 'Jolly Lodger',
    'Josefin Sans' => 'Josefin Sans',
    'Josefin Sans' => 'Josefin Sans',
    'Josefin Slab' => 'Josefin Slab',
    'Joti One' => 'Joti One',
    'Judson' => 'Judson',
    'Julee' => 'Julee',
    'Julius Sans One' => 'Julius Sans One',
    'Junge' => 'Junge',
    'Jura' => 'Jura',
    'Just Another Hand' => 'Just Another Hand',
    'Just Me Again Down Here' => 'Just Me Again Down Here',
    'Kadwa' => 'Kadwa',
    'Kdam Thmor' => 'Kdam Thmor',
    'Kalam' => 'Kalam', 
    'Kameron' => 'Kameron',
    'Kantumruy' => 'Kantumruy',
    'Karma' => 'Karma',
    'Karla' => 'Karla',
    'Kaushan Script' => 'Kaushan Script',
    'Kavoon' => 'Kavoon',
    'Keania One' => 'Keania One',
    'Kelly Slab' => 'Kelly Slab',
    'Kenia' => 'Kenia',
    'Khand' => 'Khand',
    'Khmer' => 'Khmer',
    'Khula' => 'Khula',
    'Kite One' => 'Kite One',
    'Knewave' => 'Knewave',
    'Kotta One' => 'Kotta One',
    'Kranky' => 'Kranky',
    'Kreon' => 'Kreon',
    'Kristi' => 'Kristi',
    'Koulen' => 'Koulen',
    'Krona One' => 'Krona One',
    'Kurale' => 'Kurale',
    'Lakki Reddy' => 'Lakki Reddy',
    'La Belle Aurore' => 'La Belle Aurore',
    'Lancelot' => 'Lancelot',
    'Laila' => 'Laila',
    'Lato' => 'Lato',
    'Lateef' => 'Lateef',
    'League Script' => 'League Script',
    'Leckerli One' => 'Leckerli One',
    'Ledger' => 'Ledger',
    'Lekton' => 'Lekton',
    'Lemon' => 'Lemon',
    'Libre Baskerville' => 'Libre Baskerville',
    'Life Savers' => 'Life Savers',
    'Lilita One' => 'Lilita One',
    'Limelight' => 'Limelight',
    'Linden Hill' => 'Linden Hill',
    'Lobster' => 'Lobster',
    'Lobster Two' => 'Lobster Two',
    'Londrina Outline' => 'Londrina Outline',
    'Londrina Shadow' => 'Londrina Shadow',
    'Londrina Sketch' => 'Londrina Sketch',
    'Londrina Solid' => 'Londrina Solid',
    'Lora' => 'Lora',
    'Love Ya Like A Sister' => 'Love Ya Like A Sister',
    'Loved by the King' => 'Loved by the King',
    'Lovers Quarrel' => 'Lovers Quarrel',
    'Lucida Sans Unicode' => 'Lucida Sans Unicode',
    'Luckiest Guy' => 'Luckiest Guy',
    'Lusitana' => 'Lusitana',
    'Lustria' => 'Lustria',
    'Macondo' => 'Macondo',
    'Macondo Swash Caps' => 'Macondo Swash Caps',
    'Magra' => 'Magra',
    'Maiden Orange' => 'Maiden Orange',
    'Mallanna' => 'Mallanna',
    'Mandali' => 'Mandali',
    'Mako' => 'Mako',
    'Marcellus' => 'Marcellus',
    'Marcellus SC' => 'Marcellus SC',
    'Marck Script' => 'Marck Script',
    'Margarine' => 'Margarine',
    'Marko One' => 'Marko One',
    'Marmelad' => 'Marmelad',
    'Marvel' => 'Marvel',
    'Martel' => 'Martel',
    'Martel Sans' => 'Martel Sans',
    'Mate' => 'Mate',
    'Mate SC' => 'Mate SC',
    'Maven Pro' => 'Maven Pro',
    'McLaren' => 'McLaren',
    'Meddon' => 'Meddon',
    'MedievalSharp' => 'MedievalSharp',
    'Medula One' => 'Medula One',
    'Megrim' => 'Megrim',
    'Meie Script' => 'Meie Script',
    'Merienda' => 'Merienda',
    'Merienda One' => 'Merienda One',
    'Merriweather' => 'Merriweather',
    'Metal' => 'Metal',
    'Metal Mania' => 'Metal Mania',
    'Metamorphous' => 'Metamorphous',
    'Metrophobic' => 'Metrophobic',
    'Michroma' => 'Michroma',
    'Milonga' => 'Milonga',
    'Miltonian' => 'Miltonian',
    'Miltonian Tattoo' => 'Miltonian Tattoo',
    'Miniver' => 'Miniver',
    'Miss Fajardose' => 'Miss Fajardose',
    'Miss Saint Delafield' => 'Miss Saint Delafield',
    'Modak' => 'Modak',
    'Modern Antiqua' => 'Modern Antiqua',
    'Molengo' => 'Molengo',
    'Molle' => 'Molle',
    'Moulpali' => 'Moulpali',
    'Monda' => 'Monda',
    'Monofett' => 'Monofett',
    'Monoton' => 'Monoton',
    'Monsieur La Doulaise' => 'Monsieur La Doulaise',
    'Montaga' => 'Montaga',
    'Montez' => 'Montez',
    'Montserrat' => 'Montserrat',
    'Montserrat Alternates' => 'Montserrat Alternates',
    'Montserrat Subrayada' => 'Montserrat Subrayada',
    'Mountains of Christmas' => 'Mountains of Christmas',
    'Mouse Memoirs' => 'Mouse Memoirs',
    'Moul' => 'Moul',
    'Mr Bedford' => 'Mr Bedford',
    'Mr Bedfort' => 'Mr Bedfort',
    'Mr Dafoe' => 'Mr Dafoe',
    'Mr De Haviland' => 'Mr De Haviland',
    'Mrs Saint Delafield' => 'Mrs Saint Delafield',
    'Mrs Sheppards' => 'Mrs Sheppards',
    'Muli' => 'Muli',
    'Mystery Quest' => 'Mystery Quest',
    'Neucha' => 'Neucha',
    'Neuton' => 'Neuton',
    'New Rocker' => 'New Rocker',
    'News Cycle' => 'News Cycle',
    'Niconne' => 'Niconne',
    'Nixie One' => 'Nixie One',
    'Nobile' => 'Nobile',
    'Nokora' => 'Nokora',
    'Norican' => 'Norican',
    'Nosifer' => 'Nosifer',
    'Nosifer Caps' => 'Nosifer Caps',
    'Nova Mono' => 'Nova Mono',
    'Noticia Text' => 'Noticia Text',
    'Noto Sans' => 'Noto Sans',
    'Noto Serif' => 'Noto Serif',
    'Nova Round' => 'Nova Round',
    'Numans' => 'Numans',
    'Nunito' => 'Nunito',
    'NTR' => 'NTR',
    'Offside' => 'Offside',
    'Oldenburg' => 'Oldenburg',
    'Oleo Script' => 'Oleo Script',
    'Oleo Script Swash Caps' => 'Oleo Script Swash Caps',
    'Open Sans' => 'Open Sans',
    'Open Sans Condensed' => 'Open Sans Condensed',
    'Oranienbaum' => 'Oranienbaum',
    'Orbitron' => 'Orbitron',
    'Odor Mean Chey' => 'Odor Mean Chey',
    'Oregano' => 'Oregano',
    'Orienta' => 'Orienta',
    'Original Surfer' => 'Original Surfer',
    'Oswald' => 'Oswald',
    'Over the Rainbow' => 'Over the Rainbow',
    'Overlock' => 'Overlock',
    'Overlock SC' => 'Overlock SC',
    'Ovo' => 'Ovo',
    'Oxygen' => 'Oxygen',
    'Oxygen Mono' => 'Oxygen Mono',
    'Palanquin Dark' => 'Palanquin Dark',
    'Peddana' => 'Peddana',
    'Poppins' => 'Poppins',
    'PT Mono' => 'PT Mono',
    'PT Sans' => 'PT Sans',
    'PT Sans Caption' => 'PT Sans Caption',
    'PT Sans Narrow' => 'PT Sans Narrow',
    'PT Serif' => 'PT Serif',
    'PT Serif Caption' => 'PT Serif Caption',
    'Pacifico' => 'Pacifico',
    'Paprika' => 'Paprika',
    'Parisienne' => 'Parisienne',
    'Passero One' => 'Passero One',
    'Passion One' => 'Passion One',
    'Patrick Hand' => 'Patrick Hand',
    'Patrick Hand SC' => 'Patrick Hand SC',
    'Patua One' => 'Patua One',
    'Paytone One' => 'Paytone One',
    'Peralta' => 'Peralta',
    'Permanent Marker' => 'Permanent Marker',
    'Petit Formal Script' => 'Petit Formal Script',
    'Petrona' => 'Petrona',
    'Philosopher' => 'Philosopher',
    'Piedra' => 'Piedra',
    'Pinyon Script' => 'Pinyon Script',
    'Pirata One' => 'Pirata One',
    'Plaster' => 'Plaster',
    'Palatino Linotype' => 'Palatino Linotype',
    'Play' => 'Play',
    'Playball' => 'Playball',
    'Playfair Display' => 'Playfair Display',
    'Playfair Display SC' => 'Playfair Display SC',
    'Podkova' => 'Podkova',
    'Poiret One' => 'Poiret One',
    'Poller One' => 'Poller One',
    'Poly' => 'Poly',
    'Pompiere' => 'Pompiere',
    'Pontano Sans' => 'Pontano Sans',
    'Port Lligat Sans' => 'Port Lligat Sans',
    'Port Lligat Slab' => 'Port Lligat Slab',
    'Prata' => 'Prata',
    'Pragati Narrow' => 'Pragati Narrow',
    'Preahvihear' => 'Preahvihear',
    'Press Start 2P' => 'Press Start 2P',
    'Princess Sofia' => 'Princess Sofia',
    'Prociono' => 'Prociono',
    'Prosto One' => 'Prosto One',
    'Puritan' => 'Puritan',
    'Purple Purse' => 'Purple Purse',
    'Quando' => 'Quando',
    'Quantico' => 'Quantico',
    'Quattrocento' => 'Quattrocento',
    'Quattrocento Sans' => 'Quattrocento Sans',
    'Questrial' => 'Questrial',
    'Quicksand' => 'Quicksand',
    'Quintessential' => 'Quintessential',
    'Qwigley' => 'Qwigley',
    'Racing Sans One' => 'Racing Sans One',
    'Radley' => 'Radley',
    'Rajdhani' => 'Rajdhani',
    'Raleway Dots' => 'Raleway Dots',
    'Raleway' => 'Raleway',
    'Rambla' => 'Rambla',
    'Ramabhadra' => 'Ramabhadra',
    'Ramaraja' => 'Ramaraja',
    'Rammetto One' => 'Rammetto One',
    'Ranchers' => 'Ranchers',
    'Rancho' => 'Rancho',
    'Ranga' => 'Ranga',
    'Ravi Prakash' => 'Ravi Prakash',
    'Rationale' => 'Rationale',
    'Redressed' => 'Redressed',
    'Reenie Beanie' => 'Reenie Beanie',
    'Revalia' => 'Revalia',
    'Rhodium Libre' => 'Rhodium Libre',
    'Ribeye' => 'Ribeye',
    'Ribeye Marrow' => 'Ribeye Marrow',
    'Righteous' => 'Righteous',
    'Risque' => 'Risque',
    'Roboto' => 'Roboto',
    'Roboto Condensed' => 'Roboto Condensed',
    'Roboto Mono' => 'Roboto Mono',
    'Roboto Slab' => 'Roboto Slab',
    'Rochester' => 'Rochester',
    'Rock Salt' => 'Rock Salt',
    'Rokkitt' => 'Rokkitt',
    'Romanesco' => 'Romanesco',
    'Ropa Sans' => 'Ropa Sans',
    'Rosario' => 'Rosario',
    'Rosarivo' => 'Rosarivo',
    'Rouge Script' => 'Rouge Script',
    'Rozha One' => 'Rozha One',
    'Rubik' => 'Rubik',
    'Rubik One' => 'Rubik One',
    'Rubik Mono One' => 'Rubik Mono One',
    'Ruda' => 'Ruda',
    'Rufina' => 'Rufina',
    'Ruge Boogie' => 'Ruge Boogie',
    'Ruluko' => 'Ruluko',
    'Rum Raisin' => 'Rum Raisin',
    'Ruslan Display' => 'Ruslan Display',
    'Russo One' => 'Russo One',
    'Ruthie' => 'Ruthie',
    'Rye' => 'Rye',
    'Sacramento' => 'Sacramento',
    'Sail' => 'Sail',
    'Salsa' => 'Salsa',
    'Sanchez' => 'Sanchez',
    'Sancreek' => 'Sancreek',
    'Sahitya' => 'Sahitya',
    'Sansita One' => 'Sansita One',
    'Sarpanch' => 'Sarpanch',
    'Sarina' => 'Sarina',
    'Satisfy' => 'Satisfy',
    'Scada' => 'Scada',
    'Scheherazade' => 'Scheherazade',
    'Schoolbell' => 'Schoolbell',
    'Seaweed Script' => 'Seaweed Script',
    'Sarala' => 'Sarala',
    'Sevillana' => 'Sevillana',
    'Seymour One' => 'Seymour One',
    'Shadows Into Light' => 'Shadows Into Light',
    'Shadows Into Light Two' => 'Shadows Into Light Two',
    'Shanti' => 'Shanti',
    'Share' => 'Share',
    'Share Tech' => 'Share Tech',
    'Share Tech Mono' => 'Share Tech Mono',
    'Shojumaru' => 'Shojumaru',
    'Short Stack' => 'Short Stack',
    'Sigmar One' => 'Sigmar One',
    'Suranna' => 'Suranna',
    'Suravaram' => 'Suravaram',
    'Suwannaphum' => 'Suwannaphum',
    'Signika' => 'Signika',
    'Signika Negative' => 'Signika Negative',
    'Simonetta' => 'Simonetta',
    'Siemreap' => 'Siemreap',
    'Sirin Stencil' => 'Sirin Stencil',
    'Six Caps' => 'Six Caps',
    'Skranji' => 'Skranji',
    'Slackey' => 'Slackey',
    'Smokum' => 'Smokum',
    'Smythe' => 'Smythe',
    'Sniglet' => 'Sniglet',
    'Snippet' => 'Snippet',
    'Snowburst One' => 'Snowburst One',
    'Sofadi One' => 'Sofadi One',
    'Sofia' => 'Sofia',
    'Sonsie One' => 'Sonsie One',
    'Sorts Mill Goudy' => 'Sorts Mill Goudy',
    'Sorts Mill Goudy' => 'Sorts Mill Goudy',
    'Source Code Pro' => 'Source Code Pro',
    'Source Sans Pro' => 'Source Sans Pro',
    'Special I am one' => 'Special I am one',
    'Spicy Rice' => 'Spicy Rice',
    'Spinnaker' => 'Spinnaker',
    'Spirax' => 'Spirax',
    'Squada One' => 'Squada One',
    'Sree Krushnadevaraya' => 'Sree Krushnadevaraya',
    'Stalemate' => 'Stalemate',
    'Stalinist One' => 'Stalinist One',
    'Stardos Stencil' => 'Stardos Stencil',
    'Stint Ultra Condensed' => 'Stint Ultra Condensed',
    'Stint Ultra Expanded' => 'Stint Ultra Expanded',
    'Stoke' => 'Stoke',
    'Stoke' => 'Stoke',
    'Strait' => 'Strait',
    'Sura' => 'Sura',
    'Sumana' => 'Sumana',
    'Sue Ellen Francisco' => 'Sue Ellen Francisco',
    'Sunshiney' => 'Sunshiney',
    'Supermercado One' => 'Supermercado One',
    'Swanky and Moo Moo' => 'Swanky and Moo Moo',
    'Syncopate' => 'Syncopate',
    'Symbol' => 'Symbol',
    'Timmana' => 'Timmana',
    'Taprom' => 'Taprom',
    'Tangerine' => 'Tangerine',
    'Tahoma' => 'Tahoma',
    'Teko' => 'Teko',
    'Telex' => 'Telex',
    'Tenali Ramakrishna' => 'Tenali Ramakrishna',
    'Tenor Sans' => 'Tenor Sans',
    'Terminal Dosis' => 'Terminal Dosis',
    'Terminal Dosis Light' => 'Terminal Dosis Light',
    'Text Me One' => 'Text Me One',
    'The Girl Next Door' => 'The Girl Next Door',
    'Tienne' => 'Tienne',
    'Tillana' => 'Tillana',
    'Tinos' => 'Tinos',
    'Titan One' => 'Titan One',
    'Titillium Web' => 'Titillium Web',
    'Trade Winds' => 'Trade Winds',
    'Trebuchet MS' => 'Trebuchet MS',
    'Trocchi' => 'Trocchi',
    'Trochut' => 'Trochut',
    'Trykker' => 'Trykker',
    'Tulpen One' => 'Tulpen One',
    'Ubuntu' => 'Ubuntu',
    'Ubuntu Condensed' => 'Ubuntu Condensed',
    'Ubuntu Mono' => 'Ubuntu Mono',
    'Ultra' => 'Ultra',
    'Uncial Antiqua' => 'Uncial Antiqua',
    'Underdog' => 'Underdog',
    'Unica One' => 'Unica One',
    'UnifrakturCook' => 'UnifrakturCook',
    'UnifrakturMaguntia' => 'UnifrakturMaguntia',
    'Unkempt' => 'Unkempt',
    'Unlock' => 'Unlock',
    'Unna' => 'Unna',
    'VT323' => 'VT323',
    'Vampiro One' => 'Vampiro One',
    'Varela' => 'Varela',
    'Varela Round' => 'Varela Round',
    'Vast Shadow' => 'Vast Shadow',
    'Vesper Libre' => 'Vesper Libre',
    'Verdana' => 'Verdana',
    'Vibur' => 'Vibur',
    'Vidaloka' => 'Vidaloka',
    'Viga' => 'Viga',
    'Voces' => 'Voces',
    'Volkhov' => 'Volkhov',
    'Vollkorn' => 'Vollkorn',
    'Voltaire' => 'Voltaire',
    'Waiting for the Sunrise' => 'Waiting for the Sunrise',
    'Wallpoet' => 'Wallpoet',
    'Walter Turncoat' => 'Walter Turncoat',
    'Warnes' => 'Warnes',
    'Wellfleet' => 'Wellfleet',
    'Wendy One' => 'Wendy One',
    'Wire One' => 'Wire One',
    'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
    'Yantramanav' => 'Yantramanav',
    'Yellowtail' => 'Yellowtail',
    'Yeseva One' => 'Yeseva One',
    'Yesteryear' => 'Yesteryear',
    'Zeyada' => 'Zeyada'
  );

	//array of all font sizes.
	$font_sizes = array( 
		'10px' => '10px',
		'11px' => '11px',
	);
	
	$options = array();
	$imagepath =  get_template_directory_uri() . '/images/';

	
	for($n=12;$n<=200;$n+=1){
		$font_sizes[$n.'px'] = $n.'px';
	}
	
	// Pull all the pages into an array
	 $options_pages = array();
	 $options_pages_obj = get_pages('sort_column=post_parent,menu_order');
	 $options_pages[''] = 'Select a page:';
	 foreach ($options_pages_obj as $page) {
	  $options_pages[$page->ID] = $page->post_title;
	 }

	// array of section content.
	$section_text = array(	
			1 => array(			
			'section_title'	=> 'Why Our Church?',
			'menutitle'		=> 'section1',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[subtitle size="16px" color="#535353" align="center" description="Nunc commodo lacinia ipsum, scelerisque cursus libero ullamcorper sed. Praesent fermentum nisl ac neque tristique porttitor. Sed lectus lacus, vestibulum at fermentum."]
[church_services title="I am New Here" description="Donec in metus lecnteger vulpu." image="'.get_template_directory_uri().'/images/services-image1.jpg" link="#"][church_services title="Our Missions" description="Donec in metus lecnteger vulpu." image="'.get_template_directory_uri().'/images/services-image2.jpg" link="#"][church_services title="Live Stream" description="Donec in metus lecnteger vulpu." image="'.get_template_directory_uri().'/images/services-image3.jpg" link="#"][church_services title="Connect" description="Donec in metus lecnteger vulpu." image="'.get_template_directory_uri().'/images/services-image4.jpg" link="#"]',
		),
		
		
		2 => array(		
			'section_title'	=> 'Welcome to Our Church',
			'menutitle'		=> 'section2',
			'bgcolor' 		=> '#f4f4f4',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[column_content type="welcome_leftbox"]<h3>About Church</h3>Donec in metus lecnteger vulputate porta elit, fringilla mollis maluctus vel. Interdum et malesuada fame ac ante ipsum primfauci. Pellentesque in aliquam enim, quis lobortis arcu Nullam at pulvinar quam. porttitor et turpis nec viverra. Aliquauctor et nisi ut posuere. Suspendiss in nulla quis orci rhoncus rutruquis in odio. Phasellus lorem tortor. [button align="left" name="Read more" link="#" target=""][/column_content][column_content type="welcome_righbox"][welcome_sevices subtitle="One Faith"  title="01. Glorify God" description="Donec in metus lec vulputate porta elit, fringilla mollis" image="'.get_template_directory_uri().'/images/welcome_img01.jpg" link="#"][welcome_sevices subtitle="One Pray"  title="02. God is Great" description="Donec in metus lec vulputate porta elit, fringilla mollis" image="'.get_template_directory_uri().'/images/welcome_img02.jpg" link="#"][welcome_sevices subtitle="One Love"  title="03. Love People" description="Donec in metus lec vulputate porta elit, fringilla mollis" image="'.get_template_directory_uri().'/images/welcome_img03.jpg" link="#" class="last"][/column_content]',
		),		
				
		
		3 => array(			
			'section_title'	=> '',
			'menutitle'		=> 'section3',
			'bgcolor' 		=> '#303030',
			'bgimage'		=> get_template_directory_uri().'/images/upcomingevent-bg.jpg',
			'class'			=> '',
			'content'		=> '[column_content type="upcoming_eventbx"]<h4 class="orange_strip">Upcoming Events</h4>
<h3>Walking on the right way toward God</h3>
Nunc commodo lacinia ipsum, scelerisque cursus libero ullamcorper sed. Praesent fermentum nisl ac neque tristique porttitor. [date-time icon="far fa-clock" info="Suturday 12-25-2020   8:00  to  11:00  am"] [date-time icon="fas fa-map-marker-alt" info="Austrailia"][/column_content][column_content type="event_counter"]
<h3>Event Starts In Next</h3>
[countdown count="1" year="2020" month="12" date="25" color="#ffffff"][/column_content] '
		),
		
		
		4 => array(			
			'section_title'	=> 'Programs & Events',
			'menutitle'		=> 'section4',
			'bgcolor' 		=> '#f4f4f4',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[events-row showposts="3"]',
		),	
		
		5 => array(			
			'section_title'	=> '',
			'menutitle'		=> 'section5',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[column_content type="teaching_videobox"]<iframe width="520" height="430" src="https://www.youtube.com/embed/rIY5dJbtbXk" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>[/column_content][column_content type="teaching_rightinfobox"]<h4 class="orange_strip">Showing You the Way</h4>[section-main-title align="" title="Preaching to the Unsaved, teaching to Serve"]Donec in metus lectus. Integer vulputate porta elit, fringilla mollis mag luctuInterdum et malesuada fames ac ante ipsum primis in fauci. Pellentesque in aliquam enim, quis lobortis arcu. Curabitur quiultrices est malesuada fames ac ante ipsum primis in. Pellentesque in aliquam enim, quis lobortis malesuada fames ac ante ipsui fauci. Pellentesque in aliquam enim, quis lobortis
[button align="left" name="VIEW DETAILS" link="#" target=""][/column_content]'
		),
		
		6 => array(			
			'section_title'	=> 'Latest Church News',
			'menutitle'		=> 'section6',
			'bgcolor' 		=> '#f4f4f4',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[subtitle size="16px" color="#535353" align="center" description="Nunc commodo lacinia ipsum, scelerisque cursus libero ullamcorper sed. Praesent fermentum nisl ac neque tristique porttitor. Sed lectus lacus, vestibulum at fermentum."]
[latest-news showposts="3" comment="show" date="show" author="show"]'
		),
		
		7 => array(			
			'section_title'	=> '',
			'menutitle'		=> 'section7',
			'bgcolor' 		=> '#303030',
			'bgimage'		=> get_template_directory_uri().'/images/donation_bg.jpg',
			'class'			=> '',
			'content'		=> '[column_content type="donation_left"]<h4>Sharing Our Faith & Love To Children</h4>
Leading on safeguarding communications both internally and externally working closel Lambeth, Bishopthorpe and dioceses. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. [/column_content][column_content type="donation_right"][fund_donation amount="$2,50" subtitle="Remaining to helps" title="Donate" skillbar_bgcolor="#d1d1d1" percent="35%" percent_bgcolor="#eb6e01" donate_price="Raised: $1000" to_go_price="Goal: $3,500" donate_button="Donate Now" link="#" target="_blank"][/column_content]
			'
		),
		
		8 => array(			
			'section_title'	=> 'Video Gallery',
			'menutitle'		=> 'section8',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[column_content type="vid_galle_left"][custom-video youtubeid="PPX08LvkQ5Y" cover="'.get_template_directory_uri().'/images/video-cover2.jpg"][/column_content][column_content type="vid_galle_right"][section-main-title align="left" title="Birthday Party"]Donec in metus lectus. Integer vulputate porta elit, fringilla mollis mag luctuInterdum et malesuada fames ac ante ipsum primis in fauci. Pellentesque in aliquam enim, quis lobortis arcu. Curabitur quiultrices est malesuada fames ac ante ipsum primis in. Pellentesque in aliquam enim, quis lobortis malesuada fames ac ante ipsui fauci.[/column_content]
[clear]
			
[video_carousel][videolist youtubeid="HzTHDZh35Vs" image="'.get_template_directory_uri().'/images/vg1.jpg"][videolist youtubeid="QyvavfIGyLs" image="'.get_template_directory_uri().'/images/vg2.jpg"][videolist youtubeid="yFxxaa1Qt8U" image="'.get_template_directory_uri().'/images/vg3.jpg"][videolist youtubeid="Ccr62sR8Pec" image="'.get_template_directory_uri().'/images/vg4.jpg"][videolist youtubeid="60ItHLz5WEA" image="'.get_template_directory_uri().'/images/vg5.jpg"][/video_carousel]'
		),
		
		9 => array(			
			'section_title'	=> '', 
			'menutitle'		=> 'section9',
			'bgcolor' 		=> '#f4f4f4',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[need_pray image="'.get_template_directory_uri().'/images/prayimg_left.jpg" title="Need Prayer?" description="No matter what you are facing, we had love to pray with you!" button="ASK FOR PRAYER" link="#"][need_pray image="'.get_template_directory_uri().'/images/prayimg_right.jpg" title="Want to Help?" description="Your financial support is very important for our global projects." button="GIVE ONLINE" link="#" class="last"]'
		),	
		
		10 => array(			
			'section_title'	=> 'Our Causes',
			'menutitle'		=> 'section10',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[subtitle size="16px" color="#535353" align="center" description="Nunc commodo lacinia ipsum, scelerisque cursus libero ullamcorper sed. Praesent fermentum nisl ac neque tristique porttitor. Sed lectus lacus, vestibulum at fermentum."]
			
[causes title="Helping People" description="Donec in metus lec vulputate porta elit, fringilla mollis" image="'.get_template_directory_uri().'/images/causes01.jpg" link="#"][causes title="Teach Childrens" description="Donec in metus lec vulputate porta elit, fringilla mollis" image="'.get_template_directory_uri().'/images/causes02.jpg" link="#"][causes title="Nothing Else Matters" description="Donec in metus lec vulputate porta elit, fringilla mollis" image="'.get_template_directory_uri().'/images/causes03.jpg" link="#"][causes title="Hope For US" description="Donec in metus lec vulputate porta elit, fringilla mollis" image="'.get_template_directory_uri().'/images/causes04.jpg" link="#" class="last"]
			'
		),		
				
	);

	$options = array();

	//Basic Settings
	$options[] = array(
		'name' => __('Basic Settings', 'prayer-pro'),
		'type' => 'heading');

	$options[] = array(
		'name' => __('Logo', 'prayer-pro'),
		'desc' => __('Upload your main logo here', 'prayer-pro'),
		'id' => 'logo',
		'class' => '',
		'std'	=> get_template_directory_uri().'/images/logo.png',
		'type' => 'upload');
		
	$options[] = array(		
		'desc' => __('Change your custom logo height', 'prayer-pro'),
		'id' => 'logoheight',
		'std' => '53',
		'type' => 'text');
		
	$options[] = array(	
		'name' => __('Site title & Description', 'prayer-pro'),		
		'desc'	=> __('Check To Show site title and description', 'prayer-pro'),
		'id'	=> 'hide_titledesc',
		'type'	=> 'checkbox',
		'std'	=> '');		
		
	$options[] = array(	
		'name' => __('Layout Option', 'prayer-pro'),		
		'desc'	=> __('Check To View Box Layout ', 'prayer-pro'),
		'id'	=> 'boxlayout',
		'type'	=> 'checkbox',
		'std'	=> '');
			
	$options[] = array(
		'name' => __('Sticky Header', 'prayer-pro'),
		'desc' => __('Check this to show sticky header on scroll', 'prayer-pro'),
		'id' => 'headstick',
		'std' => '',
		'type' => 'checkbox');		
			
	$options[] = array(
		'name' => __('Hide Animation', 'prayer-pro'),
		'desc' => __('Check this to hide animation on scroll', 'prayer-pro'),
		'id' => 'scrollanimation',
		'std' => '',
		'type' => 'checkbox');		

	$options[] = array(
		'name' => __('Custom CSS', 'prayer-pro'),
		'desc' => __('Some Custom Styling for your site. Place any css codes here instead of the style.css file.', 'prayer-pro'),
		'id' => 'style2',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'name' => __('Header Social Icons', 'prayer-pro'),
		'desc' => __('social icons for header', 'prayer-pro'),
		'id' => 'headersocialicon',
		'std' => '[social_area]
[social icon="fab fa-facebook-f" link="#"] 
[social icon="fab fa-twitter" link="#"] 
[social icon="fab fa-google-plus-g" link="#"] 
[social icon="fab fa-linkedin-in" link="#"] 
[social icon="fas fa-rss" link="#"] 
[social icon="fab fa-youtube" link="#"]				
[/social_area]',
		'type' => 'textarea');		
		
	$options[] = array(
		'name' => __('Header Contact Info', 'prayer-pro'),
		'desc' => __('Edit header contact info from here. NOTE: icon name should be as it is giving by font awesome site(far fa-clock) More social icons can be found at: https://fontawesome.com/icons', 'prayer-pro'),
		'id' => 'headerinfo',
		'std' => '<div class="infobox"><i class="fas fa-phone-volume"></i><span>(+89) 530 - 352 - 3027</span> </div>
<div class="infobox"><i class="fas fa-envelope-open-text"></i><span>info@sitename.com</span> </div>',
		'type' => 'textarea');	
		
	$options[] = array(		
		'desc' => __('Check to hide header contact info strip', 'prayer-pro'),
		'id' => 'headinfodata',
		'std' => '',
		'type' => 'checkbox');	
		
	$options[] = array(
		'desc' => __('Donate Now Button on Menu', 'milestonez-pro'),
		'id' => 'donatenowbtn',
		'std' => '<a class="donatenow" href="#">DONATE NOW!</a>',
		'type' => 'textarea');
		
	$options[] = array(	
		'desc' => __('Check to hide Donate Now button on menu strip', 'prayer-pro'),
		'id' => 'hidebuttononmenu',
		'std' => '',
		'type' => 'checkbox');
		
	$options[] = array(	
		'desc' => __('Check to hide Donate Now button on responsive view', 'prayer-pro'),
		'id' => 'hidebuttononmobile',
		'std' => '',
		'type' => 'checkbox');	
		
	// font family start 		
	$options[] = array(
		'name' => __('Font Faces', 'prayer-pro'),
		'desc' => __('Select font for the body text', 'prayer-pro'),
		'id' => 'bodyfontface',
		'type' => 'select',
		'std' => 'Assistant',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for the textual logo', 'prayer-pro'),
		'id' => 'logofontface',
		'type' => 'select',
		'std' => 'Assistant',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for the navigation text', 'prayer-pro'),
		'id' => 'navfontface',
		'type' => 'select',
		'std' => 'Roboto',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font family for all heading tag.', 'prayer-pro'),
		'id' => 'headfontface',
		'type' => 'select',
		'std' => 'Merriweather',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for Section title', 'prayer-pro'),
		'id' => 'sectiontitlefontface',
		'type' => 'select',
		'std' => 'Merriweather',
		'options' => $font_types );	
		
	$options[] = array(
		'desc' => __('Select font for Slide sub title', 'prayer-pro'),
		'id' => 'slidesubtitlefontface',
		'type' => 'select',
		'std' => 'Roboto',
		'options' => $font_types );			
			
	$options[] = array(
		'desc' => __('Select font for Slide title', 'prayer-pro'),
		'id' => 'slidetitlefontface',
		'type' => 'select',
		'std' => 'Playfair Display',
		'options' => $font_types );	
		
	$options[] = array(
		'desc' => __('Select font for Slide Description', 'prayer-pro'),
		'id' => 'slidedesfontface',
		'type' => 'select',
		'std' => 'Assistant',
		'options' => $font_types );	

		
	// font sizes start	
	$options[] = array(
		'name' => __('Font Sizes', 'prayer-pro'),
		'desc' => __('Select font size for body text', 'prayer-pro'),
		'id' => 'bodyfontsize',
		'type' => 'select',
		'std' => '16px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for textual logo', 'prayer-pro'),
		'id' => 'logofontsize',
		'type' => 'select',
		'std' => '38px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for navigation', 'prayer-pro'),
		'id' => 'navfontsize',
		'type' => 'select',
		'std' => '15px',
		'options' => $font_sizes );	

		
	$options[] = array(
		'desc' => __('Select font size for section title', 'prayer-pro'),
		'id' => 'sectitlesize',
		'type' => 'select',
		'std' => '40px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for footer title', 'prayer-pro'),
		'id' => 'ftfontsize',
		'type' => 'select',
		'std' => '20px',
		'options' => $font_sizes );	

	$options[] = array(
		'desc' => __('Select h1 font size', 'prayer-pro'),
		'id' => 'h1fontsize',
		'std' => '30px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h2 font size', 'prayer-pro'),
		'id' => 'h2fontsize',
		'std' => '28px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h3 font size', 'prayer-pro'),
		'id' => 'h3fontsize',
		'std' => '18px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h4 font size', 'prayer-pro'),
		'id' => 'h4fontsize',
		'std' => '22px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h5 font size', 'prayer-pro'),
		'id' => 'h5fontsize',
		'std' => '20px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h6 font size', 'prayer-pro'),
		'id' => 'h6fontsize',
		'std' => '14px',
		'type' => 'select',
		'options' => $font_sizes);


	// font colors start

	$options[] = array(
		'name' => __('Site Colors Scheme', 'prayer-pro'),
		'desc' => __('Change the color scheme of hole site', 'prayer-pro'),
		'id' => 'colorscheme',
		'std' => '#eb6e01',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('change second color scheme for hole site', 'prayer-pro'),
		'id' => 'secondcolorofsite',
		'std' => '#a0a603',
		'type' => 'color');		
		
	$options[] = array(	
		'name' => __('Font Colors', 'prayer-pro'),	
		'desc' => __('Select font color for the body text', 'prayer-pro'),
		'id' => 'bodyfontcolor',
		'std' => '#535353',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for textual logo', 'prayer-pro'),
		'id' => 'logofontcolor',
		'std' => '#353535',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for header top phone and email', 'prayer-pro'),
		'id' => 'headertopfontcolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for logo tagline', 'prayer-pro'),
		'id' => 'logotaglinecolor',
		'std' => '#666666',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for section title', 'prayer-pro'),
		'id' => 'sectitlecolor',
		'std' => '#121212',
		'type' => 'color');	
	
	$options[] = array(
		'desc' => __('Select font color for navigation', 'prayer-pro'),
		'id' => 'navfontcolor',
		'std' => '#1d1d1d',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for widget title', 'prayer-pro'),
		'id' => 'wdgttitleccolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for footer title', 'prayer-pro'),
		'id' => 'foottitlecolor',
		'std' => '#fffefe',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for footer', 'prayer-pro'),
		'id' => 'footdesccolor',
		'std' => '#717171',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for footer left text (copyright)', 'prayer-pro'),
		'id' => 'copycolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for footer right text (design by)', 'prayer-pro'),
		'id' => 'designcolor',
		'std' => '#ffffff',
		'type' => 'color');

	$options[] = array(
		'desc' => __('Select font hover color for links / anchor tags', 'prayer-pro'),
		'id' => 'linkhovercolor',
		'std' => '#272727',
		'type' => 'color');			
		
	$options[] = array(
		'desc' => __('Select font color for sidebar li a', 'prayer-pro'),
		'id' => 'sidebarfontcolor',
		'std' => '#78797c',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font hover color for footer copyright links', 'prayer-pro'),
		'id' => 'copylinkshover',
		'std' => '#ffffff',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select h1 font color', 'prayer-pro'),
		'id' => 'h1fontcolor',
		'std' => '#272727',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select h2 font color', 'prayer-pro'),
		'id' => 'h2fontcolor',
		'std' => '#272727',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select h3 font color', 'prayer-pro'),
		'id' => 'h3fontcolor',
		'std' => '#272727',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select h4 font color', 'prayer-pro'),
		'id' => 'h4fontcolor',
		'std' => '#272727',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select h5 font color', 'prayer-pro'),
		'id' => 'h5fontcolor',
		'std' => '#272727',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select h6 font color', 'prayer-pro'),
		'id' => 'h6fontcolor',
		'std' => '#272727',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for footer social icons', 'prayer-pro'),
		'id' => 'footsocialcolor',
		'std' => '#717171',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for gallery filter ', 'prayer-pro'),
		'id' => 'galleryfiltercolor',
		'std' => '#6e6d6d',
		'type' => 'color');			
		
	$options[] = array(
		'desc' => __('Select font hover color for gallery filter ', 'prayer-pro'),
		'id' => 'galleryfiltercolorhv',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for photogallery title ', 'prayer-pro'),
		'id' => 'gallerytitlecolorhv',
		'std' => '#ffffff',
		'type' => 'color');			
		
	$options[] = array(
		'desc' => __('Select font color for client testimonilas description', 'prayer-pro'),
		'id' => 'testimonialdescriptioncolor',
		'std' => '#717171',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for sidebar widget box', 'prayer-pro'),
		'id' => 'widgetboxfontcolor',
		'std' => '#6e6d6d',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for footer recent posts', 'prayer-pro'),
		'id' => 'footerpoststitlecolor',
		'std' => '#717171',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for toggle menu on responsive', 'prayer-pro'),
		'id' => 'togglemenucolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for team member title', 'prayer-pro'),
		'id' => 'teamttlfontcolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for team member designation', 'prayer-pro'),
		'id' => 'teamdegigfontcolor',
		'std' => '#ffffff',
		'type' => 'color');			
					
		
	// Background start			
	$options[] = array(
		'name' => __('Background Colors', 'prayer-pro'),	
		'desc' => __('Select background color for header', 'prayer-pro'),
		'id' => 'headerbgcolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(		
		'desc' => __('Select background color for footer', 'prayer-pro'),
		'id' => 'footerbgcolor',
		'std' => '#111111',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select background color for footer copyrights section', 'prayer-pro'),
		'id' => 'footercoprbgcolor',
		'std' => '#0b0b0b',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select background color for photogallery filter', 'prayer-pro'),
		'id' => 'galleryfilter',
		'std' => '#f1f1f1',
		'type' => 'color');		
		
	$options[] = array(
		'desc' => __('Select background color for client testimonials pager dots', 'prayer-pro'),
		'id' => 'testidotsbgcolor',
		'std' => '#494949',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select background color for footer social icon', 'prayer-pro'),
		'id' => 'fsiconbgcolor',
		'std' => '#1d1d1d',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select second background color for footer social icon', 'prayer-pro'),
		'id' => 'scndfsiconbgcolor',
		'std' => '#292929',
		'type' => 'color');			
	
	$options[] = array(
		'desc' => __('Select background color for sidebar widget search box', 'prayer-pro'),
		'id' => 'widgetboxbgcolor',
		'std' => '#F0EFEF',
		'type' => 'color');			
	
	// Border colors			
	$options[] = array(	
		'name' => __('Border Colors', 'prayer-pro'),		
		'desc' => __('Select border color for sidebar li a', 'prayer-pro'),
		'id' => 'sidebarliaborder',
		'std' => '#d0cfcf',
		'type' => 'color');	
		
	$options[] = array(			
		'desc' => __('Select border color for gallery filter', 'prayer-pro'),
		'id' => 'galleryfilterbdr',
		'std' => '#494949',
		'type' => 'color');			
	

	// Default Buttons		
	$options[] = array(
		'name' => __('Button Colors', 'prayer-pro'),
		'desc' => __('Select background hover color for default button', 'prayer-pro'),
		'id' => 'btnbghvcolor',
		'std' => '#202020',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select font color default button', 'prayer-pro'),
		'id' => 'btntxtcolor',
		'std' => '#ffffff',
		'type' => 'color');

	$options[] = array(
		'desc' => __('Select font hover color for default button', 'prayer-pro'),
		'id' => 'btntxthvcolor',
		'std' => '#ffffff',
		'type' => 'color');					

	// Slider Caption colors
	$options[] = array(	
		'name' => __('Slider Caption Colors', 'prayer-pro'),				
		'desc' => __('Select font color for slider title', 'prayer-pro'),
		'id' => 'slidetitlecolor',
		'std' => '#ffffff',
		'type' => 'color');			
		
	$options[] = array(		
		'desc' => __('Select font color for slider description', 'prayer-pro'),
		'id' => 'slidedesccolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
		
	$options[] = array(
		'desc' => __('Select font size for slider title', 'prayer-pro'),
		'id' => 'slidetitlefontsize',
		'type' => 'select',
		'std' => '55px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for slider sub title', 'prayer-pro'),
		'id' => 'slidesubtitlefontsize',
		'type' => 'select',
		'std' => '14px',
		'options' => $font_sizes );	
		
	$options[] = array(
		'desc' => __('Select font size for slider description', 'prayer-pro'),
		'id' => 'slidedescfontsize',
		'type' => 'select',
		'std' => '16px',
		'options' => $font_sizes );
		
	// Slider controls colors		
	$options[] = array(
		'name' => __('Slider controls Colors', 'prayer-pro'),
		'desc' => __('Select background color for slider pager', 'prayer-pro'),
		'id' => 'sldpagebg',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select background color for slider navigation arrows', 'prayer-pro'),
		'id' => 'sldarrowbg',
		'std' => '#000000',
		'type' => 'color');	
		
	$options[] = array(		
		'desc' => __('Select background opacity color for header slider navigation arrows', 'prayer-pro'),
		'id' => 'sldarrowopacity',
		'std' => '0.7',
		'type' => 'select',
		'options'	=> array('1'=>1, '0.9'=>0.9,'0.8'=>0.8,'0.7'=>0.7,'0.6'=>0.6,'0.5'=>0.5,'0.4'=>0.4,'0.3'=>0.3,'0.2'=>0.2,));			
		
		
	$options[] = array(	
		'name' => __('Excerpt Lenth', 'prayer-pro'),		
		'desc' => __('Select excerpt length for latest news boxes section', 'prayer-pro'),
		'id' => 'latestnewslength',
		'std' => '20',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Select excerpt length for testimonials section', 'prayer-pro'),
		'id' => 'testimonialsexcerptlength',
		'std' => '25',
		'type' => 'text');
		
	$options[] = array(		
		'desc' => __('Select excerpt length for blog post', 'prayer-pro'),
		'id' => 'blogpostexcerptlength',
		'std' => '45',
		'type' => 'text');
		
	$options[] = array(	
		'name' => __('Read More Custom Text', 'prayer-pro'),		
		'desc' => __('add read more button text for latest news sections', 'prayer-pro'),
		'id' => 'blogpostreadmoretext',
		'std' => '',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Change read more button text for latest blog post template', 'prayer-pro'),
		'id' => 'readmoretext_blogtemplates',
		'std' => 'Read more &rarr;',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Change Show All Button text for photo gallery section', 'prayer-pro'),
		'id' => 'galleryshowallbtn',
		'std' => 'Show All',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Change menu word on responsive view', 'prayer-pro'),
		'id' => 'menuwordchange',
		'std' => 'Menu',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Blog Single Layout', 'prayer-pro'),
		'desc' => __('Select layout. eg:Boxed, Wide', 'prayer-pro'),
		'id' => 'singlelayout',
		'type' => 'select',
		'std' => 'singleright',
		'options' => array('singleright'=>'Blog Single Right Sidebar', 'singleleft'=>'Blog Single Left Sidebar', 'sitefull'=>'Blog Single Full Width', 'nosidebar'=>'Blog Single No Sidebar') );	
		
	$options[] = array(
		'name' => __('Team Single Layout', 'prayer-pro'),
		'desc' => __('Select layout. eg:left,right,full', 'prayer-pro'),
		'id' => 'teamsinglelayout',
		'type' => 'select',
		'std' => 'sitefull',
		'options' => array('singleright'=>'Team Single Right Sidebar', 'singleleft'=>'Team Single Left Sidebar', 'sitefull'=>'Team Single Full Width', 'nosidebar'=>'Team Single No Sidebar') );	
		
		
	$options[] = array(
		'name' => __('Woocommerce Page Layout', 'prayer-pro'),
		'desc' => __('Select layout. eg:right-sidebar, left-sidebar, full-width', 'prayer-pro'),
		'id' => 'woocommercelayout',
		'type' => 'select',
		'std' => 'woocommercesitefull',
		'options' => array('woocommerceright'=>'Woocommerce Right Sidebar', 'woocommerceleft'=>'Woocommerce Left Sidebar', 'woocommercesitefull'=>'Woocommerce Full Width') );	
		
	$options[] = array(
		'name' => __('Testimonials Single Layout', 'prayer-pro'),
		'desc' => __('Select layout. eg:left,right,full', 'prayer-pro'),
		'id' => 'testimonialsinglelayout',
		'type' => 'select',
		'std' => 'sitefull',
		'options' => array('singleright'=>'Testimonials Single Right Sidebar', 'singleleft'=>'Testimonials Single Left Sidebar', 'sitefull'=>'Testimonials Single Full Width', 'nosidebar'=>'Testimonials Single No Sidebar') );	
	
	
	$options[] = array(	
		'name' => __('Testimonials Rotating Speed', 'prayer-pro'),	
		'desc' => __('manage testimonials rotating speed.', 'prayer-pro'),
		'id' => 'testimonialsrotatingspeed',
		'std' => '8000',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('True/False Auto play Testimonials.','prayer-pro'),
		'id' => 'testimonialsautoplay',
		'std' => 'true',
		'type' => 'select',
		'options' => array('true'=>'True', 'false'=>'False'));			
		

	//Layout Settings
	$options[] = array(
		'name' => __('Sections', 'prayer-pro'),
		'type' => 'heading');
		
	//Welcome sectiom start
	$options[] = array(	
		'name' => __('Top left Grow Your Faith Section', 'prayer-pro'),
		'desc'	=> __('select page for grow your faith section','prayer-pro'),
		'id' 	=> 'welcomebox',
		'type'	=> 'select',
		'options' => $options_pages,
	);	
		
	$options[] = array(		
		'desc' => __('Select excerpt length for welcome page section', 'prayer-pro'),
		'id' => 'welcomepagelength',
		'std' => '100',
		'type' => 'text');
			
	$options[] = array(		
		'desc' => __('change read more button text for welcome page section', 'prayer-pro'),
		'id' => 'welcomemorebtn',
		'std' => 'Read More',
		'type' => 'text');	
		
	$options[] = array(			
		'desc'	=> __('Check to hide Top left grow your faith section', 'prayer-pro'),
		'id'	=> 'hidewelcomesection',
		'type'	=> 'checkbox',
		'std'	=> '');	//welcome sectiom end	
	
	//four page column services settings
	$options[] = array(	
		'name' => __('Top Right 4 services column Section', 'prayer-pro'),
		'desc'	=> __('first Services box for frontpage section','prayer-pro'),
		'id' 	=> 'box1',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for first box.', 'prayer-pro'),
		'id' => 'boximg1',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Second Services box for frontpage section','prayer-pro'),
		'id' 	=> 'box2',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for second box.', 'prayer-pro'),
		'id' => 'boximg2',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Third Services box for frontpage section','prayer-pro'),
		'id' 	=> 'box3',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for third box.', 'prayer-pro'),
		'id' => 'boximg3',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Fourth Services box for frontpage section','prayer-pro'),
		'id' 	=> 'box4',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for fourth box.', 'prayer-pro'),
		'id' => 'boximg4',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
	$options[] = array(	
		'desc'	=> __('Fifth Services box for frontpage section','prayer-pro'),
		'id' 	=> 'box5',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for fifth box.', 'prayer-pro'),
		'id' => 'boximg5',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
	$options[] = array(	
		'desc'	=> __('Six Services box for frontpage section','prayer-pro'),
		'id' 	=> 'box6',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for six box.', 'prayer-pro'),
		'id' => 'boximg6',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(			
		'desc'	=> __('Check to hide top right four column services section', 'prayer-pro'),
		'id'	=> 'hidefourbxsec',
		'type'	=> 'checkbox',
		'std'	=> '');		
		
	$options[] = array(			
		'desc'	=> __('Check to hide both top left and top right section', 'prayer-pro'),
		'id'	=> 'hideleftrightsection',
		'type'	=> 'checkbox',
		'std'	=> '');			
				
			
			
	//Section tab
	$options[] = array(
		'name' => __('Number of Sections', 'prayer-pro'),
		'desc' => __('Select number of sections', 'prayer-pro'),
		'id' => 'numsection',
		'type' => 'select',
		'std' => '10',
		'options' => array_combine(range(1,30), range(1,30)) );

	$numsecs = of_get_option( 'numsection', 10 );

	for( $n=1; $n<=$numsecs; $n++){
		$options[] = array(
			'desc' => __("<h3>Section ".$n."</h3>", 'prayer-pro'),
			'class' => 'toggle_title',
			'type' => 'info');
			
		
		$options[] = array(
			'name' => __('Section Title', 'prayer-pro'),
			'id' => 'sectiontitle'.$n,
			'std' => ( ( isset($section_text[$n]['section_title']) ) ? $section_text[$n]['section_title'] : '' ),
			'type' => 'text');

		$options[] = array(
			'name' => __('Section ID', 'prayer-pro'),
			'desc'	=> __('Enter your section ID here. SECTION ID MUST BE IN SMALL LETTERS ONLY AND DO NOT ADD SPACE OR SYMBOL.', 'prayer-pro'),
			'id' => 'menutitle'.$n,
			'std' => ( ( isset($section_text[$n]['menutitle']) ) ? $section_text[$n]['menutitle'] : '' ),
			'type' => 'text');

		$options[] = array(
			'name' => __('Section Background Color', 'prayer-pro'),
			'desc' => __('Select background color for section', 'prayer-pro'),
			'id' => 'sectionbgcolor'.$n,
			'std' => ( ( isset($section_text[$n]['bgcolor']) ) ? $section_text[$n]['bgcolor'] : '' ),
			'type' => 'color');
			
		$options[] = array(
			'name' => __('Background Image', 'prayer-pro'),
			'id' => 'sectionbgimage'.$n,
			'class' => '',
			'std' => ( ( isset($section_text[$n]['bgimage']) ) ? $section_text[$n]['bgimage'] : '' ),
			'type' => 'upload');

		$options[] = array(
			'name' => __('Section CSS Class', 'prayer-pro'),
			'desc' => __('Set class for this section.', 'prayer-pro'),
			'id' => 'sectionclass'.$n,
			'std' => ( ( isset($section_text[$n]['class']) ) ? $section_text[$n]['class'] : '' ),
			'type' => 'text');
			
		$options[] = array(
			'name'	=> __('Hide Section', 'prayer-pro'),
			'desc'	=> __('Check to hide this section', 'prayer-pro'),
			'id'	=> 'hidesec'.$n,
			'type'	=> 'checkbox',
			'std'	=> '');

		$options[] = array(
			'name' => __('Section Content', 'prayer-pro'),
			'id' => 'sectioncontent'.$n,
			'std' => ( ( isset($section_text[$n]['content']) ) ? $section_text[$n]['content'] : '' ),
			'type' => 'editor');
	}


	//SLIDER SETTINGS
	$options[] = array(
		'name' => __('Homepage Slider', 'prayer-pro'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Inner Page Banner', 'prayer-pro'),
		'desc' => __('Upload inner page banner for site', 'prayer-pro'),
		'id' => 'innerpagebanner',
		'class' => '',
		'std'	=> get_template_directory_uri()."/images/inner-banner.jpg",
		'type' => 'upload');
		
		
	$options[] = array(
		'name' => __('Custom Slider Shortcode Area For Home Page', 'prayer-pro'),
		'desc' => __('Enter here your slider shortcode without php tag', 'prayer-pro'),
		'id' => 'customslider',
		'std' => '',
		'type' => 'textarea');		
		
	$options[] = array(
		'name' => __('Slider Effects and Timing', 'prayer-pro'),
		'desc' => __('Select slider effect.','prayer-pro'),
		'id' => 'slideefect',
		'std' => 'random',
		'type' => 'select',
		'options' => array('random'=>'Random', 'fade'=>'Fade', 'fold'=>'Fold', 'sliceDown'=>'Slide Down', 'sliceDownLeft'=>'Slide Down Left', 'sliceUp'=>'Slice Up', 'sliceUpLeft'=>'Slice Up Left', 'sliceUpDown'=>'Slice Up Down', 'sliceUpDownLeft'=>'Slice Up Down Left', 'slideInRight'=>'SlideIn Right', 'slideInLeft'=>'SlideIn Left', 'boxRandom'=>'Box Random', 'boxRain'=>'Box Rain', 'boxRainReverse'=>'Box Rain Reverse', 'boxRainGrow'=>'Box Rain Grow', 'boxRainGrowReverse'=>'Box Rain Grow Reverse' ));
		
	$options[] = array(
		'desc' => __('Animation speed should be multiple of 100.', 'prayer-pro'),
		'id' => 'slideanim',
		'std' => 500,
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Add slide pause time.', 'prayer-pro'),
		'id' => 'slidepause',
		'std' => 4000,
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slide Controllers', 'prayer-pro'),
		'desc' => __('Hide/Show Direction Naviagtion of slider.','prayer-pro'),
		'id' => 'slidenav',
		'std' => 'true',
		'type' => 'select',
		'options' => array('true'=>'Show', 'false'=>'Hide'));
		
	$options[] = array(
		'desc' => __('Hide/Show pager of slider.','prayer-pro'),
		'id' => 'slidepage',
		'std' => 'true',
		'type' => 'select',
		'options' => array('true'=>'Show', 'false'=>'Hide'));
		
	$options[] = array(
		'desc' => __('Pause Slide on Hover.','prayer-pro'),
		'id' => 'slidepausehover',
		'std' => 'false',
		'type' => 'select',
		'options' => array('true'=>'Yes', 'false'=>'No'));	
		
	$options[] = array(
		'name' => __('Slider Image 1', 'prayer-pro'),
		'desc' => __('First Slide', 'prayer-pro'),
		'id' => 'slide1',
		'class' => '',
		'std' => get_template_directory_uri()."/images/slides/slider1.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Sub Title 1', 'prayer-pro'),
		'id' => 'slidesubtitle1',
		'std' => 'We Always Believe',
		'type' => 'text');
	
	$options[] = array(
		'desc' => __('Title 1', 'prayer-pro'),
		'id' => 'slidetitle1',
		'std' => 'God Is Above All Things',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'prayer-pro'),
		'id' => 'slidedesc1',
		'std' => 'Cras metus quam, condimentum ut venen rutrum ediam. Sed vehicula at r quis aliquam enim, quis lobortis arcu fringnull lobortis fermentum dignissim. ',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'prayer-pro'),
		'id' => 'slidebutton1',
		'std' => 'Read More',
		'type' => 'text');	

	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'prayer-pro'),
		'id' => 'slideurl1',
		'std' => '#',
		'type' => 'text');		
		
	
	$options[] = array(
		'name' => __('Slider Image 2', 'prayer-pro'),
		'desc' => __('Second Slide', 'prayer-pro'),
		'class' => '',
		'id' => 'slide2',
		'std' => get_template_directory_uri()."/images/slides/slider2.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Sub Title 2', 'prayer-pro'),
		'id' => 'slidesubtitle2',
		'std' => 'Welcome To Prayer Church',
		'type' => 'text');
	
	$options[] = array(
		'desc' => __('Title 2', 'prayer-pro'),
		'id' => 'slidetitle2',
		'std' => 'Choose The Right Way',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'prayer-pro'),
		'id' => 'slidedesc2',
		'std' => 'Donec in metus lectus. Integer vulputate porta elit, fringilla mollis mag luctus vel. Interdum aliquam enim, quis lobortis arcu et malesuada fames ac ante ipsum primis in fauci. ',
		'type' => 'textarea');	
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'prayer-pro'),
		'id' => 'slidebutton2',
		'std' => 'Read More',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'prayer-pro'),
		'id' => 'slideurl2',
		'std' => '#',
		'type' => 'text');	
	
	$options[] = array(
		'name' => __('Slider Image 3', 'prayer-pro'),
		'desc' => __('Third Slide', 'prayer-pro'),
		'id' => 'slide3',
		'class' => '',
		'std' => get_template_directory_uri()."/images/slides/slider3.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Sub Title 3', 'prayer-pro'),
		'id' => 'slidesubtitle3',
		'std' => 'Waves Of Grace',
		'type' => 'text');
	
	$options[] = array(
		'desc' => __('Title 3', 'prayer-pro'),
		'id' => 'slidetitle3',
		'std' => 'Trust Jesus For Forgivness',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'prayer-pro'),
		'id' => 'slidedesc3',
		'std' => 'Pellentesque in aliquam enim, quis lobortis arcu. Curabitur quiultrices est malesuada fames ac ante ipsum primis in aliquam enim, quis lobortis arcu.',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'prayer-pro'),
		'id' => 'slidebutton3',
		'std' => 'Read More',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'prayer-pro'),
		'id' => 'slideurl3',
		'std' => '#',
		'type' => 'text');	
	
	$options[] = array(
		'name' => __('Slider Image 4', 'prayer-pro'),
		'desc' => __('Third Slide', 'prayer-pro'),
		'id' => 'slide4',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Sub Title 4', 'prayer-pro'),
		'id' => 'slidesubtitle4',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Title 4', 'prayer-pro'),
		'id' => 'slidetitle4',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'prayer-pro'),
		'id' => 'slidedesc4',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'prayer-pro'),
		'id' => 'slidebutton4',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'prayer-pro'),
		'id' => 'slideurl4',
		'std' => '',
		'type' => 'text');				
	
	$options[] = array(
		'name' => __('Slider Image 5', 'prayer-pro'),
		'desc' => __('Fifth Slide', 'prayer-pro'),
		'id' => 'slide5',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Sub Title 5', 'prayer-pro'),
		'id' => 'slidesubtitle5',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Title 5', 'prayer-pro'),
		'id' => 'slidetitle5',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'prayer-pro'),
		'id' => 'slidedesc5',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'prayer-pro'),
		'id' => 'slidebutton5',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'prayer-pro'),
		'id' => 'slideurl5',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 6', 'prayer-pro'),
		'desc' => __('Sixth Slide', 'prayer-pro'),
		'id' => 'slide6',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Sub Title 6', 'prayer-pro'),
		'id' => 'slidesubtitle6',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Title 6', 'prayer-pro'),
		'id' => 'slidetitle6',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'prayer-pro'),
		'id' => 'slidedesc6',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'prayer-pro'),
		'id' => 'slidebutton6',
		'std' => '',
		'type' => 'text');		
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'prayer-pro'),
		'id' => 'slideurl6',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 7', 'prayer-pro'),
		'desc' => __('Seventh Slide', 'prayer-pro'),
		'id' => 'slide7',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Sub Title 7', 'prayer-pro'),
		'id' => 'slidesubtitle7',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Title 7', 'prayer-pro'),
		'id' => 'slidetitle7',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'prayer-pro'),
		'id' => 'slidedesc7',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'prayer-pro'),
		'id' => 'slidebutton7',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'prayer-pro'),
		'id' => 'slideurl7',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 8', 'prayer-pro'),
		'desc' => __('Eighth Slide', 'prayer-pro'),
		'id' => 'slide8',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Sub Title 8', 'prayer-pro'),
		'id' => 'slidesubtitle8',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Title 8', 'prayer-pro'),
		'id' => 'slidetitle8',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'prayer-pro'),
		'id' => 'slidedesc8',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'prayer-pro'),
		'id' => 'slidebutton8',
		'std' => '',
		'type' => 'text');		
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'prayer-pro'),
		'id' => 'slideurl8',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 9', 'prayer-pro'),
		'desc' => __('Ninth Slide', 'prayer-pro'),
		'id' => 'slide9',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Sub Title 9', 'prayer-pro'),
		'id' => 'slidesubtitle9',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Title 9', 'prayer-pro'),
		'id' => 'slidetitle9',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'prayer-pro'),
		'id' => 'slidedesc9',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'prayer-pro'),
		'id' => 'slidebutton9',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'prayer-pro'),
		'id' => 'slideurl9',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 10', 'prayer-pro'),
		'desc' => __('Tenth Slide', 'prayer-pro'),
		'id' => 'slide10',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Sub Title 10', 'prayer-pro'),
		'id' => 'slidesubtitle10',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Title 10', 'prayer-pro'),
		'id' => 'slidetitle10',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'prayer-pro'),
		'id' => 'slidedesc10',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'prayer-pro'),
		'id' => 'slidebutton10',
		'std' => '',
		'type' => 'text');			
	
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'prayer-pro'),
		'id' => 'slideurl10',
		'std' => '',
		'type' => 'text');
	

	//Footer SETTINGS
	$options[] = array(
		'name' => __('Footer', 'prayer-pro'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Footer Layout', 'prayer-pro'),
		'desc' => __('footer Select layout. eg:Column, 1, 2, 3 and 4', 'prayer-pro'),
		'id' => 'footerlayout',
		'type' => 'select',
		'std' => 'fourcolumn',
		'options' => array('onecolumn'=>'Footer 1 column', 'twocolumn'=>'Footer 2 column', 'threecolumn'=>'Footer 3 column', 'fourcolumn'=>'Footer 4 column', ) );			

	$options[] = array(
		'name' => __('Footer Social Icons', 'prayer-pro'),
		'desc' => __('social icons for footer', 'prayer-pro'),
		'id' => 'footersocialicon',
		'std' => '[social_area]
[footer-social title="Facebook" icon="fab fa-facebook-square" link="#"]
[footer-social title="Twitter" icon="fab fa-twitter-square" link="#" class="odd"]
[footer-social title="Linkedin" icon="fab fa-linkedin" link="#"]
[footer-social title="Google Plus" icon="fab fa-google-plus-square" link="#" class="odd"]
[footer-social title="Instagram" icon="fab fa-instagram" link="#"]
[clear]				
[/social_area]',
		'type' => 'textarea');				
	
	$options[] = array(
		'name' => __('Footer Contact Info', 'prayer-pro'),
		'desc' => __('Add footer contact info title here', 'prayer-pro'),
		'id' => 'contacttitle',
		'std' => 'Contact information',
		'type' => 'text');	
		
	$options[] = array(	
		'desc' => __('Add company address here.', 'prayer-pro'),
		'id' => 'address',
		'std' => 'Peachtree Center Ave De, Atlanta, Fake Address, USA',
		'type' => 'textarea');
		
	$options[] = array(		
		'desc' => __('Add phone number here.', 'prayer-pro'),
		'id' => 'phone',
		'std' => 'Phone: 345-677-554',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Add email address here.', 'prayer-pro'),
		'id' => 'email',
		'std' => 'Email: info@sitename.com',
		'type' => 'text');
		
	$options[] = array(		
		'desc' => __('Add website here.', 'prayer-pro'),
		'id' => 'website',
		'std' => 'Website: http://sitename.com',
		'type' => 'text');
	
	$options[] = array(
		'name' => __('Latest News Title', 'prayer-pro'),
		'desc' => __('Footer latest news title.', 'prayer-pro'),
		'id' => 'letestpoststitle',
		'std' => 'Latest News',
		'type' => 'text');	
		
	$options[] = array(
		'name' => __('Footer Useful links Title', 'prayer-pro'),
		'desc' => __('footer useful links title.', 'prayer-pro'),
		'id' => 'footermenutitle',
		'std' => 'Useful Links',
		'type' => 'text');	
		
	$options[] = array(
		'name' => __('Footer Photo Gallery Title', 'prayer-pro'),
		'desc' => __('footer photo gallery title.', 'prayer-pro'),
		'id' => 'footergallerytitle',
		'std' => 'Photo Gallery',
		'type' => 'text');	
		
	$options[] = array(
		'name' => __('Footer Photo Gallery', 'prayer-pro'),
		'desc' => __('footer photo gallery.', 'prayer-pro'),
		'id' => 'footerphotogallery',
		'std' => '[photogallery filter="false" show="6"]',
		'type' => 'textarea');				
	
		
	$options[] = array(
		'name' => __('Footer Copyright', 'prayer-pro'),
		'desc' => __('Copyright Text for your site.', 'prayer-pro'),
		'id' => 'copytext',
		'std' => 'Copyright &copy; 2020. All rights reserved',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Footer Text Link', 'prayer-pro'),
		'id' => 'ftlink',
		'std' => 'Design by <a href="'.esc_url('https://gracethemes.com').'" target="_blank">Grace Themes</a>',
		'type' => 'textarea',);
		
	$options[] = array(
		'desc' => __('Footer Back to Top Button', 'prayer-pro'),
		'id' => 'backtotop',
		'std' => '[back-to-top]',
		'type' => 'textarea',);

	//Short codes
	$options[] = array(
		'name' => __('Short Codes', 'prayer-pro'),
		'type' => 'heading');
	
	$options[] = array(
		'name' => __('Why Our Church', 'prayer-pro'),
		'desc' => __('[church_services title="enter here title" description="enter short description here" image="image url with http://" link="#"]<br />
		[church_services title="enter here title" description="enter short description here" image="image url with http://" link="#"]<br />
		[church_services title="enter here title" description="enter short description here" image="image url with http://" link="#"]<br />
		[church_services title="enter here title" description="enter short description here" image="image url with http://" link="#"]', 'prayer-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Welcome Sections', 'prayer-pro'),
		'desc' => __('[welcome_sevices subtitle="subtitle here"  title="title here" description="short description here" image="image url with http://" link="#"]<br />
		[welcome_sevices subtitle="subtitle here"  title="title here" description="short description here" image="image url with http://" link="#"]<br />
		[welcome_sevices subtitle="subtitle here"  title="title here" description="short description here" image="image url with http://" link="#"]', 'prayer-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Upcoming Events Countdown', 'prayer-pro'),
		'desc' => __('[countdown count="1" year="2019" month="12" date="25" color="#ffffff"]', 'prayer-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Programs and Events', 'prayer-pro'),
		'desc' => __('[events-row]', 'prayer-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Latest News', 'prayer-pro'),
		'desc' => __('[latest-news showposts="3" comment="show" date="show" author="show"]', 'prayer-pro'),
		'type' => 'info');				
	
	$options[] = array(
		'name' => __('Fund Donation Graph', 'prayer-pro'),
		'desc' => __('[fund_donation amount="$2,50" subtitle="Remaining to helps" title="Donate" skillbar_bgcolor="#d1d1d1" percent="35%" percent_bgcolor="#eb6e01" donate_price="Raised: $1000" to_go_price="Goal: $3,500" donate_button="Donate Now" link="#" target="_blank"]', 'prayer-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Custom Video', 'prayer-pro'),
		'desc' => __('[custom-video youtubeid="enter here youtube id exa. 2E7vrqMUSoE" image="enter here cover photo"]', 'prayer-pro'),
		'type' => 'info');	
		
   $options[] = array(
		'name' => __('Video Carousel', 'prayer-pro'),
		'desc' => __('[video_carousel]<br />
		  &nbsp;&nbsp;[videolist youtubeid="enter here youtube id exa. 2E7vrqMUSoE" image="enter here cover photo with http://"]<br />
		  &nbsp;&nbsp;[videolist youtubeid="enter here youtube id exa. 2E7vrqMUSoE" image="enter here cover photo with http://"]<br />
		  &nbsp;&nbsp; [videolist youtubeid="enter here youtube id exa. 2E7vrqMUSoE" image="enter here cover photo with http://"]<br />
		  &nbsp;&nbsp;[videolist youtubeid="enter here youtube id exa. 2E7vrqMUSoE" image="enter here cover photo with http://"]<br />
		  &nbsp;&nbsp;[videolist youtubeid="enter here youtube id exa. 2E7vrqMUSoE" image="enter here cover photo with http://"]<br />
		[/video_carousel]', 'prayer-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Need pray 2 Column Sections', 'prayer-pro'),
		'desc' => __('[need_pray image="enter here image path with http://" title="enter title here" description="short description here" button="ASK FOR PRAYER" link="#"]', 'prayer-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Our Causes', 'prayer-pro'),
		'desc' => __('[causes title="enter title here" description="short description here" image="enter here image path with http://" link="#"]<br />
		[causes title="enter title here" description="short description here" image="enter here image path with http://" link="#"]<br />
		[causes title="enter title here" description="short description here" image="enter here image path with http://" link="#"]<br />
		[causes title="enter title here" description="short description here" image="enter here image path with http://" link="#"]', 'prayer-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Photo Gallery', 'prayer-pro'),
		'desc' => __('[photogallery filter="false" show="8"]', 'prayer-pro'),
		'type' => 'info');			
		
	$options[] = array(
		'name' => __('Section Main Title', 'prayer-pro'),
		'desc' => __('[section-main-title align="" title="enter title here"]', 'prayer-pro'),
		'type' => 'info');		
		
	$options[] = array(
		'name' => __('Testimonials Rotator', 'prayer-pro'),
		'desc' => __('[testimonials]', 'prayer-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('All Testimonials Listing', 'prayer-pro'),
		'desc' => __('[testimonials-listing show="10"]', 'prayer-pro'),
		'type' => 'info');	
		
		
	$options[] = array(
		'name' => __('Contact Form', 'prayer-pro'),
		'desc' => __('[contactform to_email="test@example.com" title="Contact Form"] 
', 'prayer-pro'),
		'type' => 'info');
	
		
	$options[] = array(
		'name' => __('Our Team', 'prayer-pro'),
		'desc' => __('[our-team-4col show="-1"]', 'prayer-pro'),
		'type' => 'info');			
		
	
		
	$options[] = array(
		'name' => __('Custom Button', 'prayer-pro'),
		'desc' => __('[button align="center" name="View Gallery" link="#" target=""]', 'prayer-pro'),
		'type' => 'info');		
		
	$options[] = array(
		'name' => __('Search Form', 'prayer-pro'),
		'desc' => __('[searchform]', 'prayer-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Social Icons ( Note: More social icons can be found at: https://fontawesome.com/icons)', 'prayer-pro'),
		'desc' => __('[social_area]<br />
			[social icon="fab fa-facebook-f" link="#"]<br />
			[social icon="fab fa-twitter" link="#"]<br />
			[social icon="fab fa-linkedin-in" link="#"]<br />
			[social icon="fab fa-google-plus-g" link="#"]<br />
		[/social_area]', 'prayer-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('2 Column Content', 'prayer-pro'),
		'desc' => __('<pre>
[column_content type="one_half"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_half_last"]
	Column 2 Content goes here...
[/column_content]
</pre>', 'prayer-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('3 Column Content', 'prayer-pro'),
		'desc' => __('<pre>
[column_content type="one_third"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_third"]
	Column 2 Content goes here...
[/column_content]

[column_content type="one_third_last"]
	Column 3 Content goes here...
[/column_content]
</pre>', 'prayer-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('4 Column Content', 'prayer-pro'),
		'desc' => __('<pre>
[column_content type="one_fourth"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_fourth"]
	Column 2 Content goes here...
[/column_content]

[column_content type="one_fourth"]
	Column 3 Content goes here...
[/column_content]

[column_content type="one_fourth_last"]
	Column 4 Content goes here...
[/column_content]
</pre>', 'prayer-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('5 Column Content', 'prayer-pro'),
		'desc' => __('<pre>
[column_content type="one_fifth"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_fifth"]
	Column 2 Content goes here...
[/column_content]

[column_content type="one_fifth"]
	Column 3 Content goes here...
[/column_content]

[column_content type="one_fifth"]
	Column 4 Content goes here...
[/column_content]

[column_content type="one_fifth_last"]
	Column 5 Content goes here...
[/column_content]
</pre>', 'prayer-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('Tabs', 'prayer-pro'),
		'desc' => __('<pre>
[tabs]
	[tab title="TAB TITLE 1"]
		TAB CONTENT 1
	[/tab]
	[tab title="TAB TITLE 2"]
		TAB CONTENT 2
	[/tab]
	[tab title="TAB TITLE 3"]
		TAB CONTENT 3
	[/tab]
[/tabs]
</pre>', 'prayer-pro'),
		'type' => 'info');


	$options[] = array(
		'name' => __('Toggle Content', 'prayer-pro'),
		'desc' => __('<pre>
[toggle_content title="Toggle Title 1"]
	Toggle content 1...
[/toggle_content]
[toggle_content title="Toggle Title 2"]
	Toggle content 2...
[/toggle_content]
[toggle_content title="Toggle Title 3"]
	Toggle content 3...
[/toggle_content]
</pre>', 'prayer-pro'),
		'type' => 'info');


	$options[] = array(
		'name' => __('Accordion Content', 'prayer-pro'),
		'desc' => __('<pre>
[accordion]
	[accordion_content title="ACCORDION TITLE 1"]
		ACCORDION CONTENT 1
	[/accordion_content]
	[accordion_content title="ACCORDION TITLE 2"]
		ACCORDION CONTENT 2
	[/accordion_content]
	[accordion_content title="ACCORDION TITLE 3"]
		ACCORDION CONTENT 3
	[/accordion_content]
[/accordion]
</pre>', 'prayer-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Clear', 'prayer-pro'),
		'desc' => __('<pre>
[clear]
</pre>', 'prayer-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('HR / Horizontal separation line', 'prayer-pro'),
		'desc' => __('<pre>
[hr] or &lt;hr&gt;
</pre>', 'prayer-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Subtitle', 'prayer-pro'),
		'desc' => __('[subtitle color="#111111" size="15px" align="" description="short descriptio here"]', 'prayer-pro'),
		'type' => 'info');	
	
	$options[] = array(
		'name' => __('Scroll to Top', 'prayer-pro'),
		'desc' => __('[back-to-top] 
', 'prayer-pro'),
		'type' => 'info');

	return $options;
}